var cm1,cm2;
$(document).ready(
		function() {
			cm1 = CodeMirror.fromTextArea(document.getElementById("scriptTxt"),
			{
				height: "650px",
				lineNumbers: true,
				smartIndent:true,
				matchBrackets:true,
			    mode: "text/x-groovy"
			})
			cm2 = CodeMirror.fromTextArea(document.getElementById("contextTxt"),
			{
				lineNumbers: true,
				height: "250px",
				smartIndent:true,
				matchBrackets:true,
			    mode: "application/ld+json"
			})
			var unsaved = false;

			cm1.on("change",function(cm,chgObj){
			    unsaved = true;
			});
			
			cm1.off("keypress",function(cm,chgObj){
			});

			function unloadPage(){
				var saving=$('#cmd').val()=='save';
				var testing=$('#cmd').val()=='test';
			    if(unsaved && !saving && !testing ){
			        return $('#cmd').val();
			    }
			}

			window.onbeforeunload = unloadPage;
});

var groovyEditor = {
	setSelectedFunc : function() {
		var l = document.getElementById("groovyFuncNames");
		var v = document.getElementById("selFunc");
		var selOption = l.options[l.selectedIndex].value;
		var cmd = document.getElementById('cmd');
		if (selOption.match("groovy$")) {
			cmd.value = 'loadFunc';
			v.value=selOption;
		}else if (selOption==="createNew"){
			cmd.value = 'createNew';
		}
	},
	switchFunc:function(){
		this.setSelectedFunc();
		var contextTxt = document.getElementById('contextTxt');
		contextTxt.value=""
		document.forms.gForm.submit();
	},
	switchScope:function(){
		var v = document.getElementById("scopeOptions");
		var selOption = v.options[v.selectedIndex].value;
		var selScope = document.getElementById("selScope");
		selScope.value=selOption;
		var contextTxt = document.getElementById('contextTxt');
		contextTxt.value="";
		var f = document.getElementById("selFunc");
		f.value = " ";
		var cmd = document.getElementById('cmd');
		cmd.value = 'refresh'
		document.forms.gForm.submit();
	},
	save : function(){
		var cmd = document.getElementById('cmd');
		cmd.value = 'save'
		document.forms.gForm.submit();
	},
	showNew : function(){
		var cmd = document.getElementById('cmd');
		cmd.value = 'showNew'
		document.forms.gForm.submit();
	},
	cancelNew : function(){
		var selFunc = document.getElementById("selFunc");
		var cmd = document.getElementById('cmd');
		cmd.value = ''
	    selFunc.value = ''
		document.forms.gForm.submit();
	},
	testFunc : function(){
		this.setSelectedFunc();
		var cmd = document.getElementById('cmd');
		cmd.value = 'test'
	    document.forms.gForm.submit();			
	},
	flush : function(){
		var cmd = document.getElementById('cmd');
		cmd.value = 'flush';
		document.forms.gForm.submit();
			
	}

};