/*
 * Copyright 2014, 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
 */

jQuery.sap.declare("sas.hc.home.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.home
 * @public
*/

// library dependencies
jQuery.sap.require("sap.ui.core.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.home",
    dependencies : ["sap.ui.core"],
    noLibraryCSS: true,
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.home.customTiles.CustomTileAction",
        "sas.hc.home.customTiles.HomeProxy",
        "sas.hc.home.customTiles.PostMessageHandler"
    ],
    elements : [
    ],
    version : "800001.10.0.20241202143000_f0htmcm80p"});
