/*
 * Copyright 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
*/

jQuery.sap.declare("sas.hc.tnt.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.tnt
 * @public
*/

// library dependencies
jQuery.sap.require("sap.tnt.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.tnt",
    dependencies : ["sap.tnt"],
    noLibraryCSS: true,
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.tnt.ToolHeader",
        "sas.hc.tnt.ToolHeaderUtilitySeparator"
    ],
    elements : [
    ],
    version : "800001.10.0.20241202143000_f0htmcm80p"});
