/*
 * Copyright 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
 */

jQuery.sap.declare("sas.hc.uxap.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.uxap
 * @public
*/

// library dependencies
jQuery.sap.require("sap.uxap.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.uxap",
    dependencies : ["sap.uxap"],
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.uxap.AnchorBar",
        "sas.hc.uxap.BlockBase",
        "sas.hc.uxap.HierarchicalSelect",
        "sas.hc.uxap.ModelMapping",
        "sas.hc.uxap.ObjectPageHeaderContent",
        "sas.hc.uxap.ObjectPageHeaderLayoutData"
    ],
    elements : [
    ],
    version : "800001.10.0.20241202143000_f0htmcm80p"});
