jQuery.sap.declare("sas.risk.common.widgets.RegexValidationAdapter");
jQuery.sap.require("sas.hc.m.BaseValidationAdapter");

sas.hc.m.BaseValidationAdapter.extend("sas.risk.common.widgets.RegexValidationAdapter",{ 
	metadata:{
		properties:{
			regex:{type:"any"},//RegExp object
			errorText:{type:"string"}//localized error message
		}
	}
});
sas.risk.common.widgets.RegexValidationAdapter.prototype.textLiveValidation = function(value){
	return this._validate(value);
};
sas.risk.common.widgets.RegexValidationAdapter.prototype.textValidation = function(value){
	return this._validate(value);
};
sas.risk.common.widgets.RegexValidationAdapter.prototype._validate = function(value){
	var result = {
		valueText: "",
		valueType: sap.ui.core.ValueState.None
	};
	if(!this.getRegex().test(value)){
		result.customErrorText = this.getErrorText();
		result.valueType = sap.ui.core.ValueState.Error;
	}
	return result;
};
