sas.risk.common.widgets.RichTextToolbarType = {
   BASIC : "BASIC",
   INTERMEDIATE : "INTERMEDIATE",
   ADVANCE : "ADVANCE",
   ADVANCED: "ADVANCED",
};
sas.risk.common.widgets.RichTextToolbar = {
   getToolbar : function(level){
   	switch(level){
   		case "BASIC": 
   			return this.getBasicToolbar();
   		case "INTERMEDIATE":
   			return this.getIntermediateToolbar();
   		case "ADVANCE":
   			return this.getAdvanceToolbar();
   		case "ADVANCED":
   			return this.getAdvancedToolbar();
   	}
   },
   
//   getBasicToolbar : function(){
//   	return [
//		     		{ name: 'save', items: [ 'Save' ] },
//		   		{ name: 'clipboard', items: [ 'Cut', 'Copy', 'Paste', 'PasteText', '-', 'Undo', 'Redo' ] },
//		   		{ name: 'styles', items : [ 'Font','FontSize' ] },
//		   		{ name: 'colors',      items : [ 'TextColor','BGColor' ] },
//		   		{ name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ] },
//		   		{ name: 'paragraph',   items : [ 'NumberedList','BulletedList','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'] }
//		   		// { name: 'document',    items : [ 'Source']}
//		   	];
//   },
//   getIntermediateToolbar : function(){
//   	return [
//		     		{ name: 'save', items: [ 'Save' ] },
//		   		{ name: 'clipboard', items: [ 'Print', 'Cut', 'Copy', 'Paste', 'PasteText', '-', 'Undo', 'Redo' ] },
//		   		{ name: 'styles', items : [ 'Font','FontSize' ] },
//		   		{ name: 'colors',      items : [ 'TextColor','BGColor' ] },
//		   		{ name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ] },
//		   		{ name: 'paragraph',   items : [ 'NumberedList','BulletedList','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'] },
//		   		{ name: 'insert', items: [ 'Link', 'Unlink', 'HorizontalRule', 'SpecialChar' ] }
//		   		// { name: 'document',    items : [ 'Source']}
//		   	];
//   },
//   getAdvanceToolbar : function(){
//   	return [
//		     		{ name: 'save', items: [ 'Save' ] },
//		   		{ name: 'clipboard', items: [ 'Print', 'Cut', 'Copy', 'Paste', 'PasteText', '-', 'Undo', 'Redo' ] },
//		   		{ name: 'styles', items : [ 'Font','FontSize' ] },
//		   		{ name: 'colors',      items : [ 'TextColor','BGColor' ] },
//		   		{ name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ] },
//		   		{ name: 'paragraph',   items : [ 'NumberedList','BulletedList','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'] },
//		   		{ name: 'insert', items: [ 'Link', 'Unlink', 'Table', 'HorizontalRule', 'SpecialChar' ] }
//		   		// { name: 'document',    items : [ 'Source']}
//		   	];
//   },
//   getAdvancedToolbar : function(){
//   	return [
//		     		{ name: 'save', items: [ 'Save' ] },
//		   		{ name: 'clipboard', items: [ 'Print', 'Cut', 'Copy', 'Paste', 'PasteText', '-', 'Undo', 'Redo' ] },
//		   		{ name: 'styles', items : [ 'Font','FontSize' ] },
//		   		{ name: 'colors',      items : [ 'TextColor','BGColor' ] },
//		   		{ name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ] },
//		   		{ name: 'paragraph',   items : [ 'NumberedList','BulletedList','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'] },
//		   		{ name: 'insert', items: [ 'Link', 'Unlink', 'Table', 'HorizontalRule', 'SpecialChar', 'Image' ] }
//		   		// { name: 'document',    items : [ 'Source']}
//		   	];
//   }
   
   getBasicToolbar : function(){
   	return {
	    	items: [
	    		'cut', 'copy', 'paste', 'PasteText', '-','undo', 'redo',
	    		'|', 'fontfamily', 'fontsize', 'fontColor', 'fontBackgroundColor',
	    		'|', 'bold', 'italic', 'underline','strikethrough', 'subscript', 'superscript','-', 'removeFormat',
	    		'|', 'alignment', 'imageInsert', 
	    		'|', 'bulletedList', 'numberedList', 'alignment:left', 'alignment:right', 'alignment:center', 'alignment:justify',
       	],
       	//shouldNotGroupWhenFull: true
		};
 	},
 	getIntermediateToolbar : function(){
 		return {
		    items: [
		   	'cut', 'copy', 'paste', 'PasteText', '-','undo', 'redo',
	        '|', 'fontfamily', 'fontsize', 'fontColor', 'fontBackgroundColor',
	        '|', 'bold', 'italic', 'underline','strikethrough', 'subscript', 'superscript','-', 'removeFormat',
	        '|', 'alignment', 'imageInsert', 
	        '|', 'bulletedList', 'numberedList', 'alignment:left', 'alignment:right', 'alignment:center', 'alignment:justify',
	        '|', 'link', 'insertTable', 'horizontalLine', 'specialCharacters'
	    ],
	    //shouldNotGroupWhenFull: true
  	};
 	},   
   getAdvanceToolbar : function(){
   	return {
		    items: [
		   	'cut', 'copy', 'paste', 'PasteText', '-','undo', 'redo',
	        '|', 'fontfamily', 'fontsize', 'fontColor', 'fontBackgroundColor',
	        '|', 'bold', 'italic', 'underline','strikethrough', 'subscript', 'superscript','-', 'removeFormat',
	        '|', 'alignment',  
	        '|', 'bulletedList', 'numberedList', 'alignment:left', 'alignment:right', 'alignment:center', 'alignment:justify',
	        '|', 'link', 'insertTable', 'horizontalLine', 'specialCharacters'
	    ],
	    //shouldNotGroupWhenFull: true
   	};
   },
   getAdvancedToolbar : function(){
   	return {
		    items: [
		   	'cut', 'copy', 'paste', 'PasteText', '-','undo', 'redo',
	        '|', 'fontfamily', 'fontsize', 'fontColor', 'fontBackgroundColor',
	        '|', 'bold', 'italic', 'underline','strikethrough', 'subscript', 'superscript','-', 'removeFormat',
	        '|', 'alignment', 'imageInsert', 
	        '|', 'bulletedList', 'numberedList', 'alignment:left', 'alignment:right', 'alignment:center', 'alignment:justify',
	        '|', 'link', 'insertTable', 'horizontalLine', 'specialCharacters'
	    ],
	    //shouldNotGroupWhenFull: true
   	};
   },
};
