jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.SampleZeroState");
jQuery.sap.require("sas.hc.m.ZeroState");

sas.hc.m.ZeroState.extend("sas.risk.common.widgets.spreadsheet.SampleZeroState",{
	constructor:function(sheet){
		sas.hc.m.ZeroState.apply(this,null);
		var fnPressButton = function(evt) {
         sas.hc.m.MessageDialog.information({
             text: "Pressed: "+evt.getSource().getText(),// eslint-disable-line shikari/sas-i18n-ems
             title: "User pressed a Zero State button"// eslint-disable-line shikari/sas-i18n-ems
         });
      };
	   this.setHeading("No models found.");// eslint-disable-line shikari/sas-i18n-ems
	   this.setText("There are no models in this location. To begin, create a new model or import models.");// eslint-disable-line shikari/sas-i18n-ems
	   this.setIcon(sas.icons.HC.ZEROSTATEADD);
	   this.addButton(
	       new sas.hc.m.Button({
	           text: "New Model",// eslint-disable-line shikari/sas-i18n-ems
	           press: fnPressButton
	       })
	   );
	   this.addButton(
	       new sas.hc.m.Button({
	           text: "Import Models",// eslint-disable-line shikari/sas-i18n-ems
	           press: fnPressButton
	       })
	   );
	},
	renderer:"sas.hc.m.ZeroStateRenderer"
});
