jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory");

sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory=function(){
	this.registry={};
};
sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory.prototype={
	register:function(type,klassName){
		this.registry[type]=klassName;
	},
	create:function(type,args){
		var klassName=this.registry[type];
		if(!klassName){
			return type;
		}
		jQuery.sap.require(klassName);
		var klass=sap.ui.require(klassName.replace(/\./g, "/"));
		return new klass(args);
	}
};
//STATICS
sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory._instance=new sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory();
sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory.getInstance=function(){
	return sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory._instance;
};
sas.risk.common.widgets.spreadsheet.SpreadsheetZeroStateFactory.getInstance().register("sample-zero-state","sas.risk.common.widgets.spreadsheet.SampleZeroState");