jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.control.ArrayLengthCell");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.control.ACell");

sas.risk.common.widgets.spreadsheet.control.ACell.extend("sas.risk.common.widgets.spreadsheet.control.ArrayLengthCell",{
	renderer:"sas.risk.common.widgets.spreadsheet.control.ACellRenderer"
});
sas.risk.common.widgets.spreadsheet.control.ArrayLengthCell.prototype.createViewControl=function(){
    var value=this.cellInfo.getValue();
    var input = new sas.hc.m.Input({
   	 type: sap.m.InputType.Number,
   	 textAlign:sap.ui.core.TextAlign.End,
   	 editable:false
    }).addStyleClass("riskSpreadsheetNumberCellView").setLayoutData(new sas.risk.common.layout.flexlayout.FlexLayoutData({flexGrow:2}));
    if(value){
       input.setValue(value.length);
    }
    return input;
};
sas.risk.common.widgets.spreadsheet.control.ArrayLengthCell.prototype.onAfterRendering=function(){};
