jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.control.QueryBuilderCell");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.control.ADialogCell");

sas.risk.common.widgets.spreadsheet.control.ADialogCell.extend("sas.risk.common.widgets.spreadsheet.control.QueryBuilderCell",{
	renderer:"sas.risk.common.widgets.spreadsheet.control.ACellRenderer"
});
sas.risk.common.widgets.spreadsheet.control.QueryBuilderCell.prototype.getDialogName=function(){
	return "sas.risk.common.widgets.spreadsheet.control.QueryBuilderDialog";
};
sas.risk.common.widgets.spreadsheet.control.QueryBuilderCell.prototype.formatValueAsString=function(value){
	var rb=sas.risk.common.widgets.spreadsheet.SpreadsheetUtil.getBundle();
	if(value && value.filter){
		value=rb.getText("spreadsheet.cell.qb.filtered.txt");
	}else{
		value=rb.getText("spreadsheet.cell.qb.empty.txt");
	}
	return value;
};
sas.risk.common.widgets.spreadsheet.control.QueryBuilderCell.prototype.createDialogViewData=function(){
	var viewData=sas.risk.common.widgets.spreadsheet.control.ADialogCell.prototype.createDialogViewData.apply(this,arguments);
	var rb=sas.risk.common.widgets.spreadsheet.SpreadsheetUtil.getBundle();
	viewData.title=rb.getText("spreadsheet.cell.qb.title.txt");
	var splits=this.getCellType().split("_");
	splits.shift();
	viewData.variable=splits.join("_");
	viewData.cpbForm=this.cellInfo.spreadsheet.getParent().getParent().getCpbForm();
	return viewData;
};