jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.Functions");

sas.risk.common.widgets.spreadsheet.formula.Functions={
	"sum":function sum(){
		var values=Array.prototype.slice.call(arguments);
		var value=0;
		var sumItUp=function(num){
			if($.isArray(num)){
				_.each(num,sumItUp);
			}else if(_.isNumber(num)){
				value+=num;
			}
		};
		_.each(values,sumItUp);
		return $.Deferred().resolve(value);
	},
	"average":function average(){
		var values=Array.prototype.slice.call(arguments);
		var value=0;
		var count=0;
		var nullcount=0;
		var sumItUp=function(num){
			if($.isArray(num)){
				_.each(num,sumItUp);
			}else if(_.isNull(num)){
				value+=num;
				nullcount++;
			}else if(_.isNumber(num)){
				value+=num;
				count++;
			}
		};
		_.each(values,sumItUp);
		var def=$.Deferred();
		if(count===0){
			if(nullcount===0) {
				console.error("Error:Invalid syntax for Average");// eslint-disable-line no-console
				def.reject("Error:Invalid syntax for Average");
			} else{
				console.error("Error:All values NULL for Average");// eslint-disable-line no-console
				def.reject("#DIV/0!");
			}
		}else{
			def.resolve(value/count);
		}
		return def;
	},

};