jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.eval.CellEval");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");

sas.risk.common.widgets.spreadsheet.formula.eval.CallEval={
	eval:function(expr,fnContext){
		var def=$.Deferred();
		sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.eval(expr.func,fnContext).done(function(func){
			var defs=[];
			for(var i=0;i<expr.args.length;i++){
				defs.push(sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.eval(expr.args[i],fnContext));
			}
			$.when.apply($,defs).done(function(){
				var values=Array.prototype.slice.call(arguments);
				func.apply(null,values).done(function(result){
					def.resolve(result);
				}).fail(function(error){
					def.reject(error);
				});
			}).fail(function(error){
				def.reject(error);
			});
		});
		return def;
	}
};