jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.eval.ConditionalEval");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");

sas.risk.common.widgets.spreadsheet.formula.eval.ConditionalEval={
	eval:function(expr,fnContext){
		var def=$.Deferred();
		sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.eval(expr.condition,fnContext).done(function(conditionValue){
			if(conditionValue===true){
				sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.eval(expr.thenArm,fnContext).done(function(result){
					def.resolve(result);
				}).fail(function(error){
					def.reject(error);
				});
			} else {
				sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.eval(expr.elseArm,fnContext).done(function(result){
					def.resolve(result);
				}).fail(function(error){
					def.reject(error);
				});
			}
		}).fail(function(error){
			def.reject(error);
		});
		return def;
	}
};