jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.eval.PrefixEval");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.TokenType");

sas.risk.common.widgets.spreadsheet.formula.eval.PrefixEval={
	eval:function(expr,fnContext){
		var def=$.Deferred();
		sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.eval(expr.right,fnContext).done(function(rightValue){
			switch(expr.operator){
				case sas.risk.common.widgets.spreadsheet.formula.TokenType.MINUS.name:
					def.resolve(-rightValue);
					break;
				case sas.risk.common.widgets.spreadsheet.formula.TokenType.PLUS.name:
					def.resolve(+rightValue);
					break;
				case sas.risk.common.widgets.spreadsheet.formula.TokenType.BANG.name:
					def.resolve(!rightValue);
					break;
			}
		}).fail(function(error){
			def.reject(error);
		});
		return def;
	}
};