jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.parselet.CallParselet");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.TokenType");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.Lexer");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.Parser");

sas.risk.common.widgets.spreadsheet.formula.parselet.CallParselet=function(){};
sas.risk.common.widgets.spreadsheet.formula.parselet.CallParselet.prototype={
	parse:function(parser,left,token){
		var TokenType=sas.risk.common.widgets.spreadsheet.formula.TokenType;
		var args=[];
		var index=0;
		if(!parser.match(TokenType.RIGHT_PAREN)){
			do{
				var argValue=parser.parseExpression();
				// the second part is criteria in case of sumIf and countIf
				// && (argValue.name.startsWith('"')||argValue.name.startsWith("'"))
				if (index===1&&(left.name.toLowerCase()==="sumif" || left.name.toLowerCase()==="countif")) {
					argValue.criteriaType=true;
				}
				args.push(argValue);
				index++;
			}while(parser.match(TokenType.COMMA));
			parser.consume(TokenType.RIGHT_PAREN);
		}
		return sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.create("CALL",left,args);
	},
	getPrecedence:function(){
		return sas.risk.common.widgets.spreadsheet.formula.Precedence.CALL;
	}
};