jQuery.sap.declare("sas.risk.rgf.util.NavigationUtil");
jQuery.sap.require("sas.ui.cpb3.nav.NavUtil");
jQuery.sap.require("sas.ui.cpb3.CpbUtil");

sas.risk.rgf.util.NavigationUtil={
	OBJROUTE_DRAFT_LBO:0,
	OBJROUTE_EDIT_LBO:0,
	SCREENDEF_EDIT:0,
	navTo:function(source/*cpbForm*/,params){
		if(params.variance==="lbo"){
			if(params.event_name==="create_new" || params.event_name==="create_new_lbo" || (params.event_name==="object_selected" && params.showPendingLink)){
				sas.risk.rgf.util.NavigationUtil._createPendingLink(params);
			}
		}
		sas.ui.cpb3.nav.NavUtil.getInstance().navTo(source,params);
	},
   _createPendingLink:function(params){
      var bizObj1 = params.sideOfLink == 0 ? params.sourceObjectKey : '' ;
      var bizObj2 = params.sideOfLink == 0 ? '' : params.sourceObjectKey;
      
      var link = {
         businessObject1: bizObj1,
         businessObject2: bizObj2,
         changeReason: '',
         creator: '',
         key: null,
         linkInstanceId: null,
         linkType: params.linkTypeKey,
         sourceSystemCd: params.sourceSystemCd,
         isDisabled: true
      };
      
      if(typeof(Storage) !== "undefined") {
         localStorage.setItem("add_new_" + params.type, JSON.stringify(link));
      } else {
         console.warn("localStorage / sessionStorage not supported by this browser")
      }
      
   }
};
