jQuery.sap.declare("sas.risk.rgf.widget.LBOAddLinkDialogView");
jQuery.sap.require("sas.ui.cpb3.CPBForm");
jQuery.sap.require("sas.risk.rgf.widget.dimloc.DimensionalLocation");
jQuery.sap.require("sas.risk.slimtable.widget.menu.AdvSearchItem");
jQuery.sap.require("sas.risk.rgf.widget.menu.ColumnsItem");
jQuery.sap.require("sas.risk.rgf.widget.menu.CustomizationInfoItem");
jQuery.sap.require("sas.risk.rgf.util.LBOLinkDialogUtil");

sas.risk.rgf.widget.LBOAddLinkDialogView=function(controllerName){
	this.controllerName=controllerName||"sas.risk.rgf.view.dialog.LBOAddLinkDialog";
};
sas.risk.rgf.widget.LBOAddLinkDialogView.prototype={
	getControllerName : function() {
		return this.controllerName;
	},
	createContent : function(controller) {
		var viewData=this.getViewData();
		var config={
			showTable:true,
			buttonOkLabel:"lbo.add.dialog.ok.txt",
			buttonCancelLabel:"lbo.add.dialog.cancel.txt"
		};
		return sas.risk.rgf.util.LBOLinkDialogUtil.createContent(controller,this,config);
	},
	getDialogSettings : function() {
		var viewData=this.getViewData();
		return {
			beginButton : this.okButton,
			endButton : this.cancelButton,
			contentWidth:viewData.width+"px",
			contentHeight:viewData.height+"px"
		};
	},
	getCpbForm:function(){
		return this.cpbForm;
	}
};