jQuery.sap.declare("sas.risk.slimtable.meta.formatter.LocalizationFormatter");
jQuery.sap.require("sas.risk.slimtable.meta.formatter.AFormatter");

sas.risk.slimtable.meta.formatter.LocalizationFormatter=function(){
	sas.risk.slimtable.meta.formatter.AFormatter.apply(this,arguments);
};

sas.risk.slimtable.meta.formatter.LocalizationFormatter.prototype=Object.create(sas.risk.slimtable.meta.formatter.AFormatter.prototype);

sas.risk.slimtable.meta.formatter.LocalizationFormatter.prototype.format=function(columnMeta,rowData,parent,extra){
	sas.risk.slimtable.meta.formatter.AFormatter.prototype.format.apply(this,arguments);
	var input = "";
	
	if (columnMeta.isNameLocalization() && rowData["localization"] && rowData["localization"]["name"]) {
		input = rowData["localization"]["name"];		
	} else if (columnMeta.isDescLocalization() && rowData["localization"] && rowData["localization"]["desc"]) {
			input = rowData["localization"]["desc"];
	} else {
		input = columnMeta.extractValue(rowData);
	}
	
	if (input === null || input === undefined) {
		input = "";
	}	
	if (!parent) {
		return input;
	}
	parent.setAttribute("title",input);
	$(parent).addClass("cpbClipboard");
	if (parent.childNodes.length) {
		var content = _.find(parent.childNodes,function(node){return node.nodeType===3;});
		content.nodeValue = input;
	} else {
		parent.appendChild(document.createTextNode(input));
		parent.appendChild(this._createClip());
	}
};
