jQuery.sap.declare("sas.risk.slimtable.meta.formatter.StringFormatter");
jQuery.sap.require("sas.risk.slimtable.meta.formatter.ChoiceFormatter");
jQuery.sap.require("sas.risk.slimtable.meta.formatter.LocalizationFormatter");

sas.risk.slimtable.meta.formatter.StringFormatter=function(){
	sas.risk.slimtable.meta.formatter.ChoiceFormatter.apply(this,arguments);
};

sas.risk.slimtable.meta.formatter.StringFormatter.prototype=Object.create(sas.risk.slimtable.meta.formatter.ChoiceFormatter.prototype);

sas.risk.slimtable.meta.formatter.StringFormatter.prototype.format=function(columnMeta,rowData,parent,extra){
	sas.risk.slimtable.meta.formatter.AFormatter.prototype.format.apply(this,arguments);
	if(columnMeta.getColChoices()){ //it's a choice field of String type
		return sas.risk.slimtable.meta.formatter.ChoiceFormatter.prototype.format.apply(this,arguments);
	}
	
	if (columnMeta.isNameLocalization() || columnMeta.isDescLocalization()) { //it's a localization field from a dimension node.
		return sas.risk.slimtable.meta.formatter.LocalizationFormatter.prototype.format.apply(this,arguments);
	}
		
	var input=columnMeta.extractValue(rowData);	
	if(input===null||input===undefined){input="";}
	if(!parent){return input;}
	parent.setAttribute("title",input);
	$(parent).addClass("cpbClipboard");
	if(parent.childNodes.length){
		var content=_.find(parent.childNodes,function(node){return node.nodeType===3;});
		content.nodeValue=input;
	}else{
		parent.appendChild(document.createTextNode(input));
		parent.appendChild(this._createClip());
	}
};
