// (c) 2016, SAS Institute Inc.
jQuery.sap.declare("sas.ui.cpb3.library");

jQuery.sap.require("sas.hc.m.library");
jQuery.sap.require("sas.hc.ui.commons.library");
jQuery.sap.require("sas.hc.ui.layout.library");
jQuery.sap.require("sas.hc.ui.table.library");
jQuery.sap.require("sas.hc.ui.unified.library");

//jQuery.sap.require("sas.risk.sample.CommonFixes");  // fixes needed across the board

sap.ui.getCore().initLibrary({
    name : "sas.ui.cpb3",
    dependencies : [
        "sas.hc.m",
        "sas.hc.ui.commons",
        "sas.hc.ui.layout",
        "sas.risk.common",
        "sas.hc.ui.table",
        "sas.risk.slimtable",
        "sas.hc.ui.unified"
    ],
    controls: [
        "sas.risk.common.widgets.windowshade.WindowShadePlus"
    ],
    version : "704001.29.0.20241204113535_f0cpbcmn5p"
});

sas.ui.cpb3.library={
	initialize:function(){
		jQuery.sap.require("sas.ui.cpb3.template.CpbViewToolbarTemplate");
		sas.ui.mashup.template.TemplateFactory.registry.CPB_VIEW_TOOLBAR=function(page,routeName){
			return new sas.ui.cpb3.template.CpbViewToolbarTemplate(routeName,page); 
		};
      console.error("Initialized sas.ui.cpb3 Library");
      return $.Deferred().resolve();
	}
};