jQuery.sap.declare("sas.ui.cpb3.widget.diagram.ADiagram");
jQuery.sap.require("sas.ui.cpb3.widget.HTML");
jQuery.sap.require("sas.hc.ui.core.HTMLRenderer");

sas.ui.cpb3.widget.HTML.extend("sas.ui.cpb3.widget.diagram.ADiagram", {
    metadata:{
        properties:{
            options:{type:"any"},
            values: {type:"any",defaultValue:[]},
            value:{type:"string"},
            params:{type:"any"},
            bundle:{type:"any"}
        },
        events:{
            objectDoubleClicked:{},
            objectSingleClicked:{}
        }
    },
    constructor:function(){
   	 sas.ui.cpb3.widget.HTML.apply(this,arguments);
   	 this.height="100px";
    },
    renderer: "sas.hc.ui.core.HTMLRenderer"
});
sas.ui.cpb3.widget.diagram.ADiagram.prototype.setValues=function(values){
    this.setProperty("values",values);
    this.refreshNodesAndLinks();
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.setValue=function(value){
	if (value &&  this.getProperty("value") && value!==this.getProperty("value")){
		this.setProperty("value",value);
		this.refreshNodesAndLinks();
	}else{
		this.setProperty("value",value);
	}
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.refreshNodesAndLinks=function(values){
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.init=function(){
    this.firstTime=true;
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.onBeforeRendering=function(e){
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.onAfterRendering=function(e){
	sas.ui.cpb3.widget.HTML.prototype.onAfterRendering.apply(this,arguments);
    var $div=$("#"+this.getId());
    if(this.diagram && $div.length>0 && $div[0]!==this.diagram.div){
        this.diagram.div=null;
        $div.html('');      
    }
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.fixMouseWheel=function(e){
	var $div=$("#"+this.getId());
	this.diagram.toolManager.doMouseWheel=function(){
		if(document.activeElement && document.activeElement.parentElement===$div[0]){
			this.standardMouseWheel();
		}
  };
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.enableSingleClick=function(e){
   var that = this;
   this.diagram.addDiagramListener("ObjectSingleClicked", function (ev) {
       that.fireObjectSingleClicked({graphObject: ev.subject});
   });
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.enableDoubleClick=function(e){
   var that = this;
   this.diagram.addDiagramListener("ObjectDoubleClicked", function (ev) {
       that.fireObjectDoubleClicked({graphObject: ev.subject});
   });
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.turnOffDragSelection=function(e){
   this.diagram.toolManager.dragSelectingTool.isEnabled=false;//turn off the drag selection so you can pan easier
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.getDiagram=function(){
	return this.diagram;
};
sas.ui.cpb3.widget.diagram.ADiagram.prototype.exit=function(){
    if(this.diagram){
        this.diagram.div=null;
        this.diagram=null;
    }
};