jQuery.sap.declare("sas.ui.mashup.util.PerspectiveUtil");

sas.ui.mashup.util.PerspectiveUtil={
   getAppKey:function(){
      return _MASHUP_perspectiveId?_MASHUP_contentId+"-"+_MASHUP_perspectiveId:_MASHUP_contentId;
   },
   getParam:function(){
      if(_MASHUP_perspectiveId){
         return {uiPerspectiveId:_MASHUP_perspectiveId};
      }
      return {};
   },
   encodedParam:function(){
      var encoded=$.param(sas.ui.mashup.util.PerspectiveUtil.getParam());
      if(encoded){
         return "?"+encoded;
      }
      return "";
   },
   isSymphony:function(){
     return !!_MASHUP_perspectiveId; 
   },
   parse:function(key){
   	var split = key.split("-");
   	return split;
	},
   generateObjectCssClasses:function(cpbForm){
      var serviceId=cpbForm.getServiceId();
      var screenId=cpbForm.getScreenId();
      var cssClasses=serviceId+screenId;
      if(sas.ui.mashup.util.PerspectiveUtil.isSymphony()){
         cssClasses+=" "+_MASHUP_contentId+screenId;
      }
      return cssClasses;
   }
};