<%@page import="com.sas.workflow.framework.client.DataObject"%>
<%@page import="com.sas.workflow.framework.client.Task"%>
<%@page import="com.sas.workflow.framework.client.WorkflowTaskService"%>
<%@page import="com.sas.fsd.shared.util.StringUtil"%>
<%@ page import="java.util.*" %>

<%@ page import="com.sas.oprisk.framework.server.objects.TaggedPointerHandle" %>
<%@ page import="com.sas.oprisk.server.services.ServiceLocator" %>
<%@ page import="com.sas.oprisk.server.workflow.WorkflowUtil" %>
<%@ page import="com.sas.oprisk.server.*" %>
<%@ page import="com.sas.oprisk.server.workflow.WorkflowUtil" %>
<%@ page import="com.sas.oprisk.server.workflow.WorkflowUIComponentUtil" %>
<%@ page import="com.sas.solutions.cpb.runtime.*" %>

<%
   WorkflowTaskService engine = ServiceLocator.getWorkflowTaskService();
   Task task = (Task)engine.getDetails(request.getParameter("processId"));
   String opId=request.getParameter("id");
   Map<String,DataObject> dObjs=task.getDataObjects();
   DataObject op=null;
   Map<String, String> attributes = new HashMap();
   for(DataObject dObj:dObjs.values())
   {
      if(opId.equals(dObj.getId()))
      {
         op=dObj;
         attributes = WorkflowUIComponentUtil.filterRuntimeAttributes(op.getAttributes());
         break;
      }
   }
%>
<html>
<head>
<title>Details for <%= StringUtil.escapeHTML(op.getLabel()) %></title>
<link rel="stylesheet" href="<%=request.getContextPath()%>/tiles/workflow/Workflow.css">
</head>
<body>

<h2>Operand Details</h2>

<table class="contentTableBorderless">
<tbody>
   <tr>
      <td><div class="leftlabel">Label:</div></td>
      <td><div class="leftlabel-description"><%= StringUtil.escapeHTML(op.getLabel()) %></div></td>
   </tr>
   <tr>
      <td><div class="leftlabel">Type:</div></td>
      <td><div class="leftlabel-description"><%= StringUtil.escapeHTML(op.getType()) %></div></td>
   </tr>
   <tr>
      <td><div class="leftlabel">ID:</div></td>
      <td><div class="leftlabel-description"><%= StringUtil.escapeHTML(op.getId()) %></div></td>
   </tr>
   <tr>
      <td><div class="leftlabel">Description:</div></td>
      <td><div class="leftlabel-description"><%= StringUtil.escapeHTML(op.getDescription()) %></div></td>
   </tr>
   <tr>
      <td><div class="leftlabel">Value:</div></td>
      <td><div class="leftlabel-description"><%= StringUtil.escapeHTML(WorkflowUtil.getText(op)) %>
      </div></td>
   </tr>
   <tr>
      <td><div class="leftlabel">Attributes:</div></td>
      <td><div class="leftlabel-description"><%= StringUtil.escapeHTML(attributes) %></div></td>
   </tr>
   </tbody>
</table>

</body>
</html>
