@echo off
setlocal
@rem Usage: UpdateStatistics -U username [-P password] -s schemaName
rem  <Copyright></Copyright>

call Parseargs.cmd %*
for /l %%i in (1,1,%ARGCOUNT%) do shift /1
if "%USERNAMEOPTION%"=="" (
   @echo.
   @echo "Usage: %0 -U username [-P password] -s schemaName"
   @echo username is the name of a database user
   @echo password is the password for the database user
   @echo schemaName is the name of the schema
   @echo.
   @echo SQLServer will prompt for the database user's password if it is not provided
   @echo.
   goto :EOF
)
set USERNAME=%USERNAMEOPTION:~3%

@ECHO ON
sqlcmd %USERNAMEOPTION% %PASSWORDOPTION% /i SetSchema.sql /o UpdateStatistics.log /v schemaName=%SCHEMA% /v rgfdbusername=%USERNAME%

@ECHO ON
sqlcmd %USERNAMEOPTION% %PASSWORDOPTION% /i UpdateStatistics.sql /o temp.log

@ECHO OFF
type temp.log >> UpdateStatistics.log

@ECHO ON
sqlcmd %USERNAMEOPTION% %PASSWORDOPTION% /i SetSchema.sql /o temp.log /v schemaName=%USERNAME% /v rgfdbusername=%USERNAME%

@ECHO OFF
type temp.log >> UpdateStatistics.log

del temp.log

endlocal