/*-------------------------------------------------------------------------*/
/* Copyright (c) 2008 by SAS Institute Inc., Cary, NC, USA.                */
/* All Rights Reserved.                                                    */
/*-------------------------------------------------------------------------*/
/* NAME:     InitDatabase.sql                                              */
/* VERSION:  4.1                                                           */
/* DESCRIPTION: called from InitDatabase.cmd                               */
/*                                                                         */
/* PRODUCT:  SAS(r) OpRisk Monitor                                         */
/* USAGE:    initializing the database.                                    */
/*                                                                         */
/*-------------------------------------------------------------------------*/

SET ECHO ON

SPOOL InitDatabase.log

Start CreateTables.sql     '&1' '&2'
Start CreateSequences.sql
Start CreateIndexes.sql    '&1' '&2'
Start CreateAssocIndexes.sql
Start UpdateStatistics.sql '&1' '&2' '&3'
Start CreateViews.sql
Start CreateProcs.sql
Start CreateCustom.sql '&1' '&2' '&3'
Start CreateCustomViews.sql
Start InitDBVersion.sql
SPOOL OFF

PROMPT
PROMPT Check the InitDatabase.log file for any error and log information
PROMPT
exit
