<%@page import="com.sas.oprisk.framework.server.content.PerspectiveUtil"%>
<%@page import="com.sas.oprisk.framework.server.content.ContentRegistryProperties"%>
<%@page import="com.sas.solutions.cpb.web.util.LayoutDirection"%>
<%@page import="com.sas.framework.commons.keys.DevelopmentKeys"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.sas.solutions.cpb.services.CPBServiceLocator"%>
<%@page import="java.util.ResourceBundle"%>
<%@page import="com.sas.ui.cpb3.docs.*"%>
<%@page import="com.sas.fsd.shared.util.StringUtil"%>
<%@page import="com.sas.fsd.shared.web.util.HTMLUtil"%>
<%@page import="com.sas.oprisk.server.services.*"%>
<%@page import="com.sas.ui.cpb3.repo.*" %>
<%@page import="com.sas.ui.cpb3.parser.*" %>
<%@page import="org.apache.commons.collections.*" %>
<%@page import="com.sas.oprisk.framework.server.*" %>
<%@page import="com.sas.oprisk.server.services.ServiceLocator" %>
<%@page import="com.sas.oprisk.server.ApplicationProperties" %>
<%@page import="com.sas.ui.cpb3.CPBServiceRegistry" %>
<%@page import="com.sas.ui.cpb3.ICPBService" %>
<%@page import="java.util.*" %>
<%@page import="com.sas.oprisk.framework.server.ConfigDataProperties"%>
<%@page import="org.json.*" %>
<%@page import="com.sas.oprisk.framework.server.config.FrameworkSystemProperties" %>
<%@ page import="com.sas.oprisk.monitor.web.security.ContentSecurityUtils"%>
<%@ page import="com.sas.oprisk.monitor.web.security.ContentInfo"%>
  
<%
   ResourceBundle cpbBundle = ApplicationProperties.getBundle(ServiceLocator.getLocale());
   JSONObject json=new JSONObject();
   json.put("isSymphony",isSymphonyMode());
   json.put("perspectives",getPerspectiveInfos(request));
   json.put("dir",getLayoutDirection(request));
   json.put("selector",cpbBundle.getString("application.welcome.title.txt"));
   json.put("title",cpbBundle.getString("cpb.docs.functions.title.txt"));
   json.put("printLabel",cpbBundle.getString("cpb.docs.shared.print.label.txt"));
   json.put("returnsLabel",cpbBundle.getString("cpb.docs.components.returns.label.txt"));
   json.put("unknownLabel",cpbBundle.getString("cpb.docs.shared.unknown.label.txt"));
   json.put("sinceLabel",cpbBundle.getString("cpb.docs.components.since.label.txt"));
   json.put("devMode",Boolean.getBoolean(DevelopmentKeys.DEVELOPMENT_MODE));
// json.put("devMode",false);
   json.put("ownerLabel",cpbBundle.getString("cpb.docs.components.owner.label.txt"));
   json.put("argsLabel",cpbBundle.getString("cpb.docs.functions.arguments.label.txt"));
   json.put("noargsLabel",cpbBundle.getString("cpb.docs.functions.arguments.none.label.txt"));
   json.put("unlimitedargsLabel",cpbBundle.getString("cpb.docs.functions.arguments.unlimited.label.txt"));
   json.put("argnameLabel",cpbBundle.getString("cpb.docs.functions.arguments.argument_name.header.txt"));
   json.put("argdescLabel",cpbBundle.getString("cpb.docs.functions.arguments.description.header.txt"));
   json.put("argtypeLabel",cpbBundle.getString("cpb.docs.functions.arguments.value_type.header.txt"));
   json.put("returntopLabel",cpbBundle.getString("cpb.docs.shared.top.label.txt"));
   json.put("examplesLabel",cpbBundle.getString("cpb.docs.functions.examples.title.txt"));
   json.put("exampleLabel",cpbBundle.getString("cpb.docs.functions.example.label.txt"));
   JSONObject funcs=new JSONObject();
   json.put("funcs",funcs);
   for(String cpbKey:getCpbKeys())
   {
      JSONArray funcArray=new JSONArray();
      funcs.put(cpbKey,funcArray);
      for(FunctionDocumentation functionDoc:getFuncDocs(cpbKey))
      {
         JSONObject fd=new JSONObject();
         fd.put("unqualifiedName",functionDoc.function.getUnQualifiedName());
         if(isNewFunc(functionDoc))
            fd.put("isNewLabel",cpbBundle.getString("cpb.docs.shared.new.label.txt"));
         if(functionDoc.description!=null)
            fd.put("description",getFuncDescription(functionDoc,cpbKey,cpbBundle));
         fd.put("returnType",(functionDoc.returnType==null)?null:functionDoc.returnType.value());
         if(functionDoc.returnDescription!=null)
            fd.put("returnDescription",getFuncReturnDescription(functionDoc,cpbKey,cpbBundle));
         if(functionDoc.since!=null)
            fd.put("since",functionDoc.since.added());
         if(functionDoc.owner!=null)
            fd.put("owner",functionDoc.owner.value());
         int count=functionDoc.getFunction().getArgumentCount();
         fd.put("argCount",count);
         if(count==-1)
            fd.put("argUnlimited",true);
         JSONArray args=new JSONArray();
         if(functionDoc.arguments!=null)
            for(FunctionArgument argument:functionDoc.arguments)
            {
               JSONObject argsObj=new JSONObject();
               argsObj.put("name",argument.name());
               argsObj.put("description",getFuncArgDescription(functionDoc,argument,cpbKey,cpbBundle));
               argsObj.put("type",argument.type());
               args.put(argsObj);
            }
         for(int i=args.length();i<count;i++)
            args.put(new JSONObject());//fill it up with "Unknown" params
         fd.put("args",args);
         JSONArray examples=new JSONArray();
         int exampleIndex=0;
         if(functionDoc.examples!=null)
            for(FunctionExample example:functionDoc.examples)
            {
               JSONObject exObj=new JSONObject();
               exObj.put("description",getFuncExampleDescription(functionDoc,example,exampleIndex++,cpbKey,cpbBundle));
               exObj.put("code",example.code());
               examples.put(exObj);
            }
         fd.put("examples",examples);
         funcArray.put(fd);
      }
   }
   String dir=getLayoutDirection(request);
%>  


<html dir="<%=dir%>">

<head>
   <title><%= cpbBundle.getString("cpb.docs.functions.title.txt") %></title>
   <style type="text/css">
      <%@ include file="Documentation.css" %>
   </style>
   <script type="text/html" id="titleTemplate">
      <a id="top" style="text-decoration:none"/>
      <div class="titlebar">
         <h2 class="titlebarTitle"><@- title @></h2>
         <div class="btn-print-layout">
            <button class="btn-print" onclick="window.print()"><@- printLabel @></button>
         </div>
         <@ if(data.perspectives.length > 1){ @>
         <div>
            <@- data.selector @>
            <select id="perspectiveSelect" class="contentOptions" onchange="refreshContentBody(this.value)">
            <@ _.each(data.perspectives,function(perspective){ @>
               <@ var isSelected=perspective.isActivePerspective?"selected":""; @>
               <option id="<@- perspective.cpbKey @>" <@= isSelected @> value="<@- perspective.cpbKey @>" class="contentOption"><@- perspective.name @></option>
            <@ }); @>
            </select>
         </div>
         <@ } @>
      </div>
   </script>
   <script type="text/html" id="tableTemplate">
      <table class="index">
         <tr>
            <@= tds @> 
         </tr>
      </table>
   </script>
   <script type="text/html" id="funcLinkTemplate">
      <div class="componentLink">
         <a href="#<@- unqualifiedName @>"><@- unqualifiedName @></a>
         <@ if(obj.isNewLabel){ @>
            <small><@- isNewLabel @></small>
         <@ } @>
      </div>
   </script>
   <script type="text/html" id="funcTemplate">
      <a name="<@- func.unqualifiedName @>"></a>
      <div class="mainsection">
         <h3>
            <@- func.unqualifiedName @>
         </h3>
         <@= func.description @>
         <table class="details">
            <tr>
               <td>
                  <div class="leftlabel">
                     <@- data.returnsLabel @>:
                  </div>
               </td>
               <@ if(!func.returnType && !func.returnDescription){ @>
               <td>
                  <div class="leftlabel-description"><i><@- data.unknownLabel @></i></div>
               </td>
               <@ } else {@>
                  <@ if(func.returnType){ @>
               <td>
                  <div class="leftlabel-description"><i><@- func.returnType @></i></div>
               </td>
                  <@ } @>
                  <@ if(func.returnDescription){ @>
               <td>
                  <div class="leftlabel-description2"><@= func.returnDescription @></div>
               </td>
                  <@ } @>
               <@ } @>
            </tr>
            <@ if(func.since){ @>
            <tr>
               <td>
                  <div class="leftlabel">
                     <@- data.sinceLabel @>:
                  </div>
               </td>
               <td>
                  <div class="leftlabel-description"><@- func.since @></div>
               </td>
            </tr>
            <@ } @>
            <@ if(data.devMode){ @>
            <tr>
               <td>
                  <div class="leftlabel">
                     <@- data.ownerLabel @>:
                  </div>
               </td>
               <@ if(func.owner){ @>
               <td>
                  <a target="_blank" href="http://sww.sas.com/sww/tools/phonelist/?keyword=<@- func.owner @>"><@- func.owner @></a>
               </td>
               <@ }else{ @>
               <td>
                  <div class="leftlabel-description"><i><@- data.unknownLabel @></i></div>
               </td>
               <@ } @>
            </tr>
            <@ } @>
         </table>
         <h4>
            <@- data.argsLabel @>
         </h4>
         <@ if(!func.argCount){ @>
         <i><@- data.noargsLabel @></i>
         <@ } else { @>
            <@ if(func.argUnlimited && !func.args.length){ @>
         <i><@- data.unlimitedargsLabel @></i>
            <@ } else { @>
         <table class="contentTable">
            <thead>
               <tr>
                  <th></th>
                  <th><@- data.argnameLabel @></th>
                  <th><@- data.argdescLabel @></th>
                  <th><@- data.argtypeLabel @></th>
               </tr>
            </thead>
            <tbody>
               <@ _.each(func.args,function(arg,index){@>
               <tr>
                  <td>
                     <@= (index+1)+((func.argUnlimited && (index+1)==func.args.length)?"...n":"") @>
                  </td>
                  <td>
                     <@= arg.name?arg.name:'<i>'+data.unknownLabel+'</i>' @>
                  </td>
                  <td>
                     <@= arg.description?arg.description:'<i>'+data.unknownLabel+'</i>' @>
                  </td>
                  <td>
                     <@= arg.type?arg.type:'<i>'+data.unknownLabel+'</i>' @>
                  </td>
               </tr>
               <@ }); @>
            </tbody>
         </table>
            <@ } @>
         <@ } @>
         <@ if(func.examples.length){ @>
         <h4>
            <@- data.examplesLabel @>
         </h4>
         <div class="section-indent">
            <@ _.each(func.examples,function(example,index){ @>
               <@ if(index<func.examples.length-1){ @>
            <div class="example">
               <@ }else{ @>
            <div class="finalexample">
               <@ } @>
               <span class="leftlabel"><@- data.exampleLabel @>&nbsp;<@= index + 1 @>:&nbsp;</span>
               <@ if(example.description) { @> 
               <div class="leftlabel-description"><@= example.description @></div>
               <@ } @>
               <pre><@- example.code @></pre>
            </div>
            <@ }); @>
         </div>
         <@ } @>
         <a href="#top" class="returnToTop"><@- data.returntopLabel @></a>
      </div>
   </script>
   <script type="text/javascript" src="resources/underscore-min.js"></script>
   <script>
   var data=<%=json.toString()%>;
   _.templateSettings={
         interpolate: /\<\@\=(.+?)\@\>/gim,
         evaluate: /\<\@([\s\S]+?)\@\>/gim,
         escape: /\<\@\-(.+?)\@\>/gim
   };
   function buildBody(contentId){
      var output="";
      output+=buildTitle(data);
      output+='<div id="contentBody">';
      output+=buildContentBody(contentId);
      output+='</div>';
      document.body.innerHTML=output;
   };
   function buildContentBody(contentId){
      var output="";
      output+=buildLinks(data,contentId);
      output+=buildFuncs(data,contentId);
      return output;
   };
   function refreshContentBody(contentId){
     var div=document.getElementById("contentBody");
     div.innerHTML=buildContentBody(contentId);
   };
   function buildTitle(data){
      return template("titleTemplate")(data);
   };
   function buildLinks(data,contentId){
      var funcs=data.funcs[contentId];
      var maxRowCount=Math.ceil(funcs.length/4);
      var tds="";
      for(var j=0;j<4;j++){
         tds+="<td>";
         for(var i=0;i<maxRowCount;i++){
            var func=funcs[(maxRowCount*j)+i];
            if(func){
               tds+=template('funcLinkTemplate')(func);
            }
         }
         tds+="</td>";
      }
      return template('tableTemplate')({tds:tds});
   };
   function buildFuncs(data,contentId){
      var output="";
      _.each(data.funcs[contentId],function(func){
         output+=template('funcTemplate')({data:data,func:func});
      });
      return output;
   };
   var templates={};
   function template(templateId,context){
      if(!templates[templateId]){
         var template=document.getElementById(templateId).innerHTML;
         templates[templateId]=_.template(template);
      }
      return templates[templateId];
   };
   </script>
</head>
   <body dir="<%=dir%>" onload="buildBody('<%=getActiveCpbKey(request)%>')"/>
</html>
<%!
   public String getFunctionBundleString(String key,ResourceBundle functionBundle, ResourceBundle cpbBundle){
      String description = functionBundle.getString(key);
      if (StringUtils.isBlank(description) || description.startsWith("???"))
      {
         try
         {
            description = cpbBundle.getString(key);   
         }catch (Exception e)
         {
              description="";
         }
      }
      return description;
   }
   public String getLayoutDirection(HttpServletRequest request)
   {
      LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
      String dir = "ltr";
      if (layoutDirection.isRightToLeft())
         dir = "rtl";
      return dir;
   }
   public ArrayList<String> getCpbKeys()
   {
      ArrayList<String> cpbKeys=new ArrayList<String>();
      String contentId=ServiceLocator.getContentId();
      if(FrameworkSystemProperties.isSymphonyMode(contentId))
         for(String perspectiveId:ContentRegistryProperties.getAllPerspectiveIds(contentId))
            cpbKeys.add(PerspectiveUtil.format(contentId, perspectiveId));
      else
         cpbKeys.add(contentId);
      return cpbKeys;
   }
   public ArrayList<FunctionDocumentation> getFuncDocs(String cpbKey)
   {
      ICPBService cpb3Service=CPBServiceRegistry.getService(cpbKey);
      FunctionDocumentation[] funcDocArray=FunctionDocumentation.getDocumentation(cpb3Service.getFunctionRegistry().getAllFunctions());
      ArrayList<FunctionDocumentation> funcDocList=new ArrayList<FunctionDocumentation>(Arrays.asList(funcDocArray));
      final String defaultSSC = ConfigDataProperties.getDefaultSourceSystemCd(); //FrameworkConstants.DEFAULT_SSC_ID;
      CollectionUtils.filter(funcDocList, new Predicate() {
         @Override
         public boolean evaluate(Object o) {
             FunctionDocumentation funcDoc=((FunctionDocumentation) o);
             return StringUtils.isEmpty(funcDoc.getEnabled().appliesTo())   ||   defaultSSC.equalsIgnoreCase(funcDoc.getEnabled().appliesTo());
         }
      });
      return funcDocList;
   }
   public boolean isNewFunc(FunctionDocumentation functionDoc)
   {
      if (functionDoc.since != null) {
         String added = functionDoc.since.added();
         String current = functionDoc.since.current();
         if (!StringUtils.isEmpty(added) && !StringUtils.isEmpty(current) && added.equals(current)) {
            return true;
         }
      }
      return false;
   }
   public String getFuncDescription(FunctionDocumentation functionDoc,String cpbKey,ResourceBundle cpbBundle)
   {
      ICPBService cpb3Service=CPBServiceRegistry.getService(cpbKey);
      ResourceBundle functionBundle = cpb3Service.getFunctionDocumentationResourceBundle();
      String description = getFunctionBundleString(CPBDocumentationUtil.createFunctionDocumentationResourceKey(functionDoc),functionBundle,cpbBundle);
      if (StringUtils.isBlank(description) || description.startsWith("???"))
         description = functionDoc.description.value(); 
      return HTMLUtil.replaceNewLinesAndTabs(description);
   }
   public String getFuncReturnDescription(FunctionDocumentation functionDoc,String cpbKey,ResourceBundle cpbBundle)
   {
      ICPBService cpb3Service=CPBServiceRegistry.getService(cpbKey);
      ResourceBundle functionBundle = cpb3Service.getFunctionDocumentationResourceBundle();
      String returnDescription = getFunctionBundleString(CPBDocumentationUtil.createFunctionReturnDocumentationResourceKey(functionDoc),functionBundle,cpbBundle);
      if (StringUtils.isBlank(returnDescription) || returnDescription.startsWith("???"))
         returnDescription = functionDoc.returnDescription.value();
      return HTMLUtil.replaceNewLinesAndTabs(returnDescription);
   }
   public String getFuncArgDescription(FunctionDocumentation functionDoc,FunctionArgument argument,String cpbKey,ResourceBundle cpbBundle)
   {
      ICPBService cpb3Service=CPBServiceRegistry.getService(cpbKey);
      ResourceBundle functionBundle = cpb3Service.getFunctionDocumentationResourceBundle();
      String description = getFunctionBundleString(CPBDocumentationUtil.createFunctionArgumentDescriptionResourceKey(functionDoc, argument),functionBundle,cpbBundle);
      if (StringUtils.isBlank(description) || description.startsWith("???"))
         description = argument.description();
      return HTMLUtil.replaceNewLinesAndTabs(description);
   }
   public String getFuncExampleDescription(FunctionDocumentation functionDoc,FunctionExample example,int j,String cpbKey,ResourceBundle cpbBundle)
   {
      ICPBService cpb3Service=CPBServiceRegistry.getService(cpbKey);
      ResourceBundle functionBundle = cpb3Service.getFunctionDocumentationResourceBundle();
      String description= getFunctionBundleString(CPBDocumentationUtil.createFunctionExampleDescriptionResourceKey(functionDoc, example, j),functionBundle,cpbBundle);
      if (StringUtils.isBlank(description) || description.startsWith("???"))
         description = example.description();
      return HTMLUtil.replaceNewLinesAndTabs(description);
   }
   public String getActiveCpbKey(HttpServletRequest request)
   {
      String contentId=ServiceLocator.getContentId();
      return PerspectiveUtil.format(contentId,ServiceLocator.getPerspectiveId());
   }
   public JSONArray getPerspectiveInfos(HttpServletRequest request) throws Exception
   {
      JSONArray infos=new JSONArray();
      String contentId=ServiceLocator.getContentId();
      List<ContentInfo> contentList = ContentSecurityUtils.getSymphonyContentPackages(contentId,request.getLocale());
      String activeCpbKey=getActiveCpbKey(request);
      for(ContentInfo info:contentList)
      {
         String comboId = info.getContentId();
         String alias = ServiceLocator.getContentService().resolveAlias(comboId);
         if(alias==null)
            alias=info.getContentId();
         JSONObject json=new JSONObject();
         json.put("name",info.getName());
         json.put("alias",alias);
         json.put("cpbKey",comboId);
         if(comboId.equals(activeCpbKey))
            json.put("isActivePerspective",true);
         infos.put(json);
      }
      return infos;
   }
   public boolean isSymphonyMode()
   {
      String contentId=ServiceLocator.getContentId();
      return FrameworkSystemProperties.isSymphonyMode(contentId);      
   }
%>
