<%@page import="com.sas.oprisk.framework.server.content.PerspectiveUtil"%>
<%@page import="com.sas.oprisk.framework.server.config.FrameworkSystemProperties" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="ISO-8859-1"%>
<%@page import="com.sas.oprisk.server.config.*" %>
<%@page import="com.sas.oprisk.server.ConfigDataProperties" %>
<%@page import="com.sas.oprisk.server.services.*" %>
<%@page import="com.sas.ui.cpb3.*" %>
<%@page import="com.sas.fsd.shared.util.*" %>
<%@page import="org.apache.log4j.Logger" %>
<%@ taglib uri="http://www.sas.com/taglib/sas-html" prefix="sas-html" %>
<%
   String contentId=request.getParameter("rgfContentId");
   if(contentId == null || !ServiceLocator.getContentService().isValidContentId(contentId)){
      request.getRequestDispatcher("select.jsp").forward(request,response); 
      return;
   }
   String perspectiveId=request.getParameter(PerspectiveUtil.PARAM);
   if(FrameworkSystemProperties.isSymphonyMode(contentId) && 
      (perspectiveId==null || !ServiceLocator.getContentService().isValidPerspectiveId(contentId,perspectiveId))){
      request.getRequestDispatcher("selectPerspective.jsp?rgfContentId="+contentId).forward(request,response); 
      return;
   }
   String cpbKey=PerspectiveUtil.format(contentId, perspectiveId);
   
   ICPBService service = CPBServiceRegistry.getService(cpbKey);
   String appNameOrig = service.getBundle().getString("application.title.txt");
   String appName = StringUtil.escapeJSForHTML(appNameOrig);
   String appId="RGF_HUB_Home_"+(perspectiveId!=null?perspectiveId.toUpperCase():contentId.toUpperCase());

   boolean appSwitcherEnabled = true;
   if ( request.getParameter("appSwitcherDisabled") != null) {
       appSwitcherEnabled = false;
   }

   String altTimeoutActivityInterval = String.valueOf(ConfigDataProperties.getAltTimeoutActivityInterval());  
   Logger.getLogger("com.sas.oprisk.monitor.index.jsp").debug("altTimeoutActivityInterval =  " + altTimeoutActivityInterval);
   
%>
<!DOCTYPE html>
<base href="<%=request.getContextPath()%>/"/>
<script type="text/javascript" src="resources/sap/ui/thirdparty/signals.js"></script>
<script type="text/javascript" src="resources/sap/ui/thirdparty/hasher.js"></script>
<style>
.gshHeader {
  border-color: #ec66eb;
  font-size: 11;
  margin-bottom: 4;
}
.gshDisplay {
  border-color: #6878b6;
  font-size: 10;
  margin-bottom: 19;
}
</style>
<sas-html:Application
        applicationName="<%=appName %>"
        applicationId="<%=appId%>"
        applicationSwitcherEnabled="<%=appSwitcherEnabled%>"        
        jsViewClass="sas.ui.mashup.App"
        openUiCoreScript="sap-ui-core.js"
        configFile="sas/ui/mashup/config.js">
        <sas-html:config-property name="sas.altTimeoutActivityInterval" value="<%=altTimeoutActivityInterval%>" quote="false" /> 
    <sas-html:head-content>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"></meta>
        <meta name="apple-mobile-web-app-capable" content="yes">
        <script type="text/javascript" src="resources/sas/ui/mashup/util/signals_hasher.js"></script>
        <script type="text/javascript" src="resources/underscore-min.js"></script>
        <script type="text/javascript" src="resources/go.js"></script>
        <script type="text/javascript" src="resources/pako.min.js"></script>
        <script type="text/javascript" src="resources/ckeditor5/build/ckeditor.js"></script>
        <script type="text/javascript" src="resources/sap/ui/thirdparty/d3.js"></script>
        <script type="text/javascript" src="resources/purify.min.js"></script>
    </sas-html:head-content>
    <script>
      go.licenseKey = "73fe4ee4bb1c28c702d95d76423d38f919a175649a814aa4080346f6e80d3d06329de02850d28993d3ac47fa137fc7d0d9c16821c049503de43183db16e1d1aae5337be7170a1089a60a74cbcaff78f1a87c71e0d2b322f2dc78dea2eabad39f5de8facb4fd50db8";
      var _MASHUP_appId="<%=appId%>";
      var _MASHUP_contentId="<%=contentId%>";
      var _MASHUP_perspectiveId="<%=(perspectiveId==null?"":perspectiveId)%>";
      sap.ui.getCore().attachInit(function(){
         jQuery.sap.require("sas.ui.mashup.library");/*make sure all libs get loaded in the right order*/
      });
      <%
      boolean expand=ConfigurationFactory.getConfig().getExpandLeftNavMenu();
      if (expand) {
      %>
      jQuery.sap.require("sas.hc.ui.commons.LeftNav");
      sas.hc.ui.commons.LeftNav.getMetadata()._mAllProperties.expanded.defaultValue=true;
      <%
      }
      %>
    </script>
</sas-html:Application>
