<!DOCTYPE html>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.sas.oprisk.server.services.ServiceLocator"%>
<%@ page import="com.sas.oprisk.server.ApplicationProperties"%>
<%@ page import="com.sas.oprisk.monitor.web.security.LoginFailureReason"%>
<%@ page import="java.util.ResourceBundle"%>
<html>

<%
ResourceBundle bundle = ApplicationProperties.getBundle(ServiceLocator.getLocale());
LoginFailureReason reason = (LoginFailureReason)request.getAttribute("loginFailureReason");
String pageTitle = bundle.getString(reason.getTitleKey());
String text = bundle.getString(reason.getMessageKey());

String contactAdmin = "";
if (reason != LoginFailureReason.APPLICATION_STARTUP_NOT_COMPLETE){
   contactAdmin = bundle.getString("logout.contactAdmin.txt");
}

String signoutText = bundle.getString("logout.tryAgain.txt");
String signoutHref = request.getContextPath() + "/Logoff";
%>

<head>
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
   <!-- Splash screen and custom styles -->
   <link rel="stylesheet" href="<%=request.getContextPath()%>/resources/themes/sas/hc/ui/commons/themes/sas_corporate/splash.css">
   <link rel="stylesheet" href="<%=request.getContextPath()%>/resources/themes/sas/risk/rgf/themes/sas_corporate/library-rgf.css">
   <title><%=pageTitle%></title>
</head>

<body>
   <div id="loginbox">
      <h3 class="soloMessage"><%=text%></h3>
      <p class="smalltext"><%=contactAdmin%></p>
      <button type="button" class="btn-submit" title="<%=signoutText%>" 
           onclick="javascript:window.location.href='<%=signoutHref%>'"><%=signoutText%></button>
   </div>
 
   <!-- splash screen -->
   <main id="sas-hc-splash" class="indexedSplash">
      <section class="splashLogo"></section>
   </main>
</body>
</html>