<%@ page trimDirectiveWhitespaces="true" %>
<%@page import="java.io.StringWriter"%>
<%@page import="java.io.PrintWriter"%>
<%@page import="groovy.lang.Binding"%>
<%@page import="groovy.servlet.ServletBinding"%>
<%@page import="com.sas.oprisk.server.services.ServiceLocator"%>
<%@page import="com.sas.oprisk.framework.server.services.FrameworkServiceLocator"%>
<%@page import="com.sas.oprisk.framework.server.services.AppContentService"%>
<%@page import="com.sas.oprisk.framework.server.services.util.AppContentServiceSearchUtil.ContentPath" %>
<%@page import="com.sas.oprisk.framework.server.services.util.AppContentServiceSearchUtil.Lookthru" %>
<%@page import="com.sas.oprisk.server.services.ServiceLocator"%>
<%@page import="org.apache.commons.io.IOUtils"%>
<%@page import="org.apache.log4j.Logger"%>
<%
   java.io.InputStream stream=null;
String inFile=null;
Logger log=Logger.getLogger(JspException.class);
try{
   ServletContext cntx= request.getServletContext();
   inFile= request.getParameter("name");
   if (inFile.contains("..")){
      log.error("Attempting to travserse restricted path "+ inFile);
      response.setStatus(HttpServletResponse.SC_BAD_REQUEST);
      return;
   }
   String mime = cntx.getMimeType(inFile);
   if (mime == null) {
     response.setStatus(HttpServletResponse.SC_INTERNAL_SERVER_ERROR);
     log.error("Error attempting to fetch file with name "+ inFile);
     return;
   }
   response.setContentType(mime);

   AppContentService appContentService= ServiceLocator.getAppContentService();
   
   String contentId=FrameworkServiceLocator.getContentId();
   String perspectiveId=FrameworkServiceLocator.getPerspectiveId();
   stream = appContentService.readFile(contentId,perspectiveId,ContentPath.Resources,inFile,Lookthru.PERSPECTIVE_CONTENT);
   if (stream != null)
   {
      byte[] data = IOUtils.toByteArray(stream);
      response.getOutputStream().write(data, 0,data.length);
   }   
   else
   {
      response.setStatus(HttpServletResponse.SC_BAD_REQUEST);
      log.error("Cannot locate file with name "+ inFile);
      return;
   }
}
catch(Exception e)
{
   response.setStatus(HttpServletResponse.SC_INTERNAL_SERVER_ERROR);
   log.error("Error attempting to fetch file with name "+ inFile);
}

finally
{
   if (stream != null) {
      stream.close();
      response.getOutputStream().flush();
      response.getOutputStream().close();
   }
}
%>
