/*
 * Copyright 2014, 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
 */

jQuery.sap.declare("sas.hc.ui.commons.codeEditor.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.ui.commons.codeEditor
 * @public
*/

// library dependencies
jQuery.sap.require("sap.ui.core.library");
jQuery.sap.require("sap.ui.commons.library");
jQuery.sap.require("sap.ui.layout.library");
jQuery.sap.require("sap.ui.ux3.library");
jQuery.sap.require("sas.hc.ui.layout.library");
jQuery.sap.require("sas.ltjs.sasicu.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.ui.commons.codeEditor",
    dependencies : [
        "sap.ui.core",
        "sap.ui.commons",
        "sap.ui.layout",
        "sap.ui.ux3",
        "sas.hc.ui.layout",
        "sas.ltjs.sasicu"],
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.ui.commons.codeEditor.AutoCompleteHelper",
        "sas.hc.ui.commons.codeEditor.AutoCompletePopup",
        "sas.hc.ui.commons.codeEditor.AutoCompleter",
        "sas.hc.ui.commons.codeEditor.BracketHighlighter",
        "sas.hc.ui.commons.codeEditor.Clipboard",
        "sas.hc.ui.commons.codeEditor.CodeEditor",
        "sas.hc.ui.commons.codeEditor.CodeZoneManager",
        "sas.hc.ui.commons.codeEditor.ContextMenu",
        "sas.hc.ui.commons.codeEditor.CoreRange",
        "sas.hc.ui.commons.codeEditor.EditorController",
        "sas.hc.ui.commons.codeEditor.EditorCore",
        "sas.hc.ui.commons.codeEditor.EditorModel",
        "sas.hc.ui.commons.codeEditor.FindAndReplaceDialog",
        "sas.hc.ui.commons.codeEditor.FoldingMgr",
        "sas.hc.ui.commons.codeEditor.GoToLineDialog",
        "sas.hc.ui.commons.codeEditor.Gutter",
        "sas.hc.ui.commons.codeEditor.LanguageService",
        "sas.hc.ui.commons.codeEditor.Mode",
        "sas.hc.ui.commons.codeEditor.SasAutoCompleter",
        "sas.hc.ui.commons.codeEditor.SasLanguageService",
        "sas.hc.ui.commons.codeEditor.Settings",
        "sas.hc.ui.commons.codeEditor.ShortcutController",
        "sas.hc.ui.commons.codeEditor.SnippetCompleter",
        "sas.hc.ui.commons.codeEditor.TextPosition",
        "sas.hc.ui.commons.codeEditor.TextRange",
        "sas.hc.ui.commons.codeEditor.Utils",
        "sas.hc.ui.commons.codeEditor.mode.SyntaxColorerAdapter",
        "sas.hc.ui.commons.codeEditor.mode.eel.eel",
        "sas.hc.ui.commons.codeEditor.mode.eel.eel_highlight_rules",
        "sas.hc.ui.commons.codeEditor.mode.sas.Formatter",
        "sas.hc.ui.commons.codeEditor.mode.sas.SasKeywords",
        "sas.hc.ui.commons.codeEditor.mode.sas.SasLexer",
        "sas.hc.ui.commons.codeEditor.mode.sas.SasLexerEx",
        "sas.hc.ui.commons.codeEditor.mode.sas.SyntaxColor",
        "sas.hc.ui.commons.codeEditor.orion.code_edit.built-codeEdit"
    ],
    elements : [
    ],
    version : "800001.10.0.20241202143000_f0htmcm80p"});

