/*
 * Copyright 2014, 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
 */

jQuery.sap.declare("sas.hc.ui.demokit.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.ui.demokit
 * @public
*/

// library dependencies
jQuery.sap.require("sap.ui.demokit.library");
jQuery.sap.require("sap.ui.core.library");
jQuery.sap.require("sap.ui.commons.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.ui.demokit",
    dependencies : ["sap.ui.demokit","sap.ui.core","sap.ui.commons"],
    noLibraryCSS: true,
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.ui.demokit.CodeSampleContainer",
        "sas.hc.ui.demokit.CodeViewer",
        "sas.hc.ui.demokit.FileUploadIntrospector",
        "sas.hc.ui.demokit.HexagonButton",
        "sas.hc.ui.demokit.HexagonButtonGroup",
        "sas.hc.ui.demokit.IndexLayout",
        "sas.hc.ui.demokit.Tag",
        "sas.hc.ui.demokit.TagCloud",
        "sas.hc.ui.demokit.UI5EntityCueCard",
        "sas.hc.ui.demokit.UIAreaSubstitute"
    ],
    elements : [
    ],
    version : "800001.10.0.20241202143000_f0htmcm80p"});
