/*
 * Copyright 2014, 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
 */

jQuery.sap.declare("sas.hc.ui.objectmgr.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.ui.objectmgr
 * @public
 */

// library dependencies
jQuery.sap.require("sas.hc.ui.commons.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.ui.objectmgr",
    dependencies : ["sas.hc.ui.commons"],
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.ui.objectmgr.BaseObjectManagerView",
        "sas.hc.ui.objectmgr.BaseObjectNavigatorPage",
        "sas.hc.ui.objectmgr.ButtonGroup",
        "sas.hc.ui.objectmgr.CustomBar",
        "sas.hc.ui.objectmgr.CustomIconTabBar",
        "sas.hc.ui.objectmgr.HeaderDivider",
        "sas.hc.ui.objectmgr.HeaderGroup",
        "sas.hc.ui.objectmgr.ListObjectManagerView",
        "sas.hc.ui.objectmgr.MasonryObjectManagerView",
        "sas.hc.ui.objectmgr.ObjectContentPage",
        "sas.hc.ui.objectmgr.ObjectDialog",
        "sas.hc.ui.objectmgr.ObjectManager",
        "sas.hc.ui.objectmgr.ObjectManagerMasonry",
        "sas.hc.ui.objectmgr.ObjectManagerMasonryTile",
        "sas.hc.ui.objectmgr.ObjectManagerPage",
        "sas.hc.ui.objectmgr.ObjectManagerTile",
        "sas.hc.ui.objectmgr.ObjectManagerTileMasonry",
        "sas.hc.ui.objectmgr.ObjectManagerUtil",
        "sas.hc.ui.objectmgr.ObjectNavigator",
        "sas.hc.ui.objectmgr.TableObjectManagerView",
        "sas.hc.ui.objectmgr.TileObjectManagerView",
        "sas.hc.ui.objectmgr.ValidationHelper"
    ],
    elements : [
    ],
    version : "800001.10.0.20241202143000_f0htmcm80p"});
