/*
 * Copyright 2014, 2016 SAS Institute Inc.
 * All Rights Reserved.
 *
 */

jQuery.sap.declare("sas.hc.x.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.hc.x
 * @public
 */

// library dependencies
jQuery.sap.require("sap.ui.core.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
    name : "sas.hc.x",
    dependencies : ["sap.ui.core"],
    types : [
    ],
    interfaces : [
    ],
    controls : [
        "sas.hc.x.Select",
        "sas.hc.x.SelectList",
        "sas.hc.x.SelectListContainer",
        "sas.hc.x.WideTable"
    ],
    elements : [
    ],
    version : "800001.10.0.20241202143000_f0htmcm80p"});
