jQuery.sap.declare("sas.risk.common.widgets.querybldr.handler.format.RiskNumber");
jQuery.sap.require("sas.risk.common.widgets.querybldr.handler.format.RiskType");
jQuery.sap.require("sap.ui.model.type.Float");
jQuery.sap.require("sas.risk.common.widgets.querybldr.handler.format.RiskNumberFormat");

sas.risk.common.widgets.querybldr.handler.format.RiskType.extend("sas.risk.common.widgets.querybldr.handler.format.RiskNumber", {
	constructor : function () {
		sas.risk.common.widgets.querybldr.handler.format.RiskType.apply(this, arguments);
		this._oNumber=new sap.ui.model.type.Float(arguments[0]);
		var locale=this.getLocale();
		this._oNumber.oFormat = sas.risk.common.widgets.querybldr.handler.format.RiskNumberFormat.getFloatInstance(this.oFormatOptions,locale);
		this.sName = "RiskNumber";
	}
});
sas.risk.common.widgets.querybldr.handler.format.RiskNumber.prototype.formatValue = function(nValue, sInternalType) {
	return this._oNumber.formatValue(nValue, sInternalType);
};
sas.risk.common.widgets.querybldr.handler.format.RiskNumber.prototype.parseValue = function(nValue, sInternalType) {
	if (!nValue) {
		return undefined;
	}
	return this._oNumber.parseValue(nValue, sInternalType);
};
sas.risk.common.widgets.querybldr.handler.format.RiskNumber.prototype.validateValue = function(nValue) {
	return this._oNumber.validateValue(nValue);
};