jQuery.sap.declare("sas.risk.common.widgets.querybldr.handler.format.RiskType");
jQuery.sap.require("sap.ui.model.SimpleType");
jQuery.sap.require("sap.ui.core.Locale");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.SpreadsheetUtil");

sap.ui.model.SimpleType.extend("sas.risk.common.widgets.querybldr.handler.format.RiskType", {
	
});

sas.risk.common.widgets.querybldr.handler.format.RiskType.prototype.getLocale = function(){
	return sas.risk.common.widgets.spreadsheet.SpreadsheetUtil.getLocale();
};

sas.risk.common.widgets.querybldr.handler.format.RiskType.prototype.getChoiceValue = function(val) {
	var fieldChoices=this.oFormatOptions.field.getCpbChoices ? this.oFormatOptions.field.getCpbChoices() : null;
	if(fieldChoices && fieldChoices.length===0){
		console.error("Choices values are missing for field ", this.oFormatOptions.field.getCpbName());// eslint-disable-line no-console
	}
	if(val!==undefined && fieldChoices && fieldChoices.length>0){
		var matchingChoice=_.find(fieldChoices, function(choice){return choice.value === val;});
		if(matchingChoice){
			return matchingChoice.label;
		}
		else{
			console.error("No matching choice value found for value code ", val);// eslint-disable-line no-console
		}
	}
	return val;
};