jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.control.CustomObjectCell");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.control.StringCell");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.SpreadsheetUtil");

sas.risk.common.widgets.spreadsheet.control.StringCell.extend("sas.risk.common.widgets.spreadsheet.control.CustomObjectCell",{
	metadata:{
		properties:{
			textAlign: {type: "string"}
		}
	},
	constructor: function() {
		sas.risk.common.widgets.spreadsheet.control.StringCell.apply(this, arguments);
	},
	renderer:"sas.risk.common.widgets.spreadsheet.control.ACellRenderer"
});
//API
sas.risk.common.widgets.spreadsheet.control.CustomObjectCell.prototype.createViewControl=function(){
	return new sas.hc.m.Text({}).addStyleClass("riskSpreadsheetStringCellView");
};
sas.risk.common.widgets.spreadsheet.control.CustomObjectCell.prototype.syncViewControl=function(value){

    var columnId = this.cellInfo.columnId;
    var cellId = this.cellInfo.cellId;

    var itemArr = this.cellInfo.spreadsheet.getModel("abc").getData().items;

    for (var i=0; i < itemArr.length; i++) {
        if (itemArr[i].key.toString() === cellId) {
            var linksArr = itemArr[i].links;
            for (var j = 0; j < linksArr.length; j++){
                if (linksArr[j].rel === columnId && linksArr[j].title){
                    value=linksArr[j].title;
                    break;
                }
            }
        }
    }

	this.viewControl.setText(value);
};
