jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.control.ExpressionEditorCell");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.control.ADialogCell");

sas.risk.common.widgets.spreadsheet.control.ADialogCell.extend("sas.risk.common.widgets.spreadsheet.control.ExpressionEditorCell",{
	renderer:"sas.risk.common.widgets.spreadsheet.control.ACellRenderer"
});
sas.risk.common.widgets.spreadsheet.control.ExpressionEditorCell.prototype.getDialogName=function(){
	return "sas.risk.common.widgets.spreadsheet.control.ExpressionEditorDialog";
};
sas.risk.common.widgets.spreadsheet.control.ExpressionEditorCell.prototype.formatValueAsString=function(value){
	var rb=sas.risk.common.widgets.spreadsheet.SpreadsheetUtil.getBundle();
	if(value && value.rawExpression){
		value=value.rawExpression;//rb.getText("spreadsheet.cell.ee.filtered.txt");
	}else{
		value=rb.getText("spreadsheet.cell.ee.empty.txt");
	}
	return value;
};
sas.risk.common.widgets.spreadsheet.control.ExpressionEditorCell.prototype.createDialogViewData=function(){
	var viewData=sas.risk.common.widgets.spreadsheet.control.ADialogCell.prototype.createDialogViewData.apply(this,arguments);
	var rb=sas.risk.common.widgets.spreadsheet.SpreadsheetUtil.getBundle();
	viewData.title=rb.getText("spreadsheet.cell.ee.title.txt");
	var splits=this.getCellType().split("_");
	splits.shift();
	viewData.variable=splits.join("_");
	viewData.cpbForm=this.cellInfo.spreadsheet.getParent().getParent().getCpbForm();
	return viewData;
};