jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.filter.DateFilter");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.filter.AFilter");

sas.risk.common.widgets.spreadsheet.filter.DateFilter=function(name,operator,value,nameLabel,valueLabel){
	sas.risk.common.widgets.spreadsheet.filter.AFilter.apply(this,arguments);
	this.type="sas.risk.common.widgets.spreadsheet.filter.DateFilter";
};
sas.risk.common.widgets.spreadsheet.filter.DateFilter.prototype=Object.create(sas.risk.common.widgets.spreadsheet.filter.AFilter.prototype);

sas.risk.common.widgets.spreadsheet.filter.DateFilter.prototype.getTypeName=function(){
	return "date";
};
sas.risk.common.widgets.spreadsheet.filter.DateFilter.prototype.getType=function(){
	return sas.risk.common.widgets.spreadsheet.filter.DateFilter;
};
sas.risk.common.widgets.spreadsheet.filter.DateFilter.prototype.formatValue=function(){
	return this.value.toISOString().substring(0,10);//fyi: rest API does not currently take the timezone "Z"
};
sas.risk.common.widgets.spreadsheet.filter.DateFilter.hydrate=function(j){
	return new sas.risk.common.widgets.spreadsheet.filter.DateFilter(j.name,j.operator,j.value&&new Date(j.value));
};