jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.eval.NameEval");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");

sas.risk.common.widgets.spreadsheet.formula.eval.NameEval={
	eval:function(expr,fnContext){
		switch(sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil._getType(expr.name)){
			case "STRING":
				return $.Deferred().resolve(expr.name.substring(1,expr.name.length-1));
			case "BOOLEAN":
				return $.Deferred().resolve(expr.name.toUpperCase()==="TRUE");
			case "REFERENCE":
				return fnContext.get(expr.name);
			case "NUMBER":
			default:
				return $.Deferred().resolve(parseFloat(expr.name));
		}
	}
};