jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.eval.PostfixEval");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.TokenType");

sas.risk.common.widgets.spreadsheet.formula.eval.PostfixEval={
	eval:function(expr,fnContext){
		var def=$.Deferred();
		sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.eval(expr.left,fnContext).done(function(leftValue){
			switch(expr.operator){
				case sas.risk.common.widgets.spreadsheet.formula.TokenType.BANG.name:
					//do factorial here.. not needed right now.
					def.reject("!(bang)not_supported");
					break;
				case sas.risk.common.widgets.spreadsheet.formula.TokenType.PERCENTAGE.name:
					def.resolve((leftValue*1)/100);
					break;
			}
		}).fail(function(error){
			def.reject(error);
		});
		return def;
	}
};