jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.parselet.BinaryOperatorParselet");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");

sas.risk.common.widgets.spreadsheet.formula.parselet.BinaryOperatorParselet=function(precedence,isRight){
	this.precedence=precedence;
	this.isRight=isRight;
};
sas.risk.common.widgets.spreadsheet.formula.parselet.BinaryOperatorParselet.prototype={
	parse:function(parser,left,token){
		var right=parser.parseExpression(this.precedence - (this.isRight?1:0));
		return sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.create("OPERATOR",left,token.getType(),right);
	},
	getPrecedence:function(){
		return this.precedence;
	}
};