jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.formula.parselet.ConditionalParselet");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.TokenType");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.Precedence");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil");

sas.risk.common.widgets.spreadsheet.formula.parselet.ConditionalParselet=function(){};
sas.risk.common.widgets.spreadsheet.formula.parselet.ConditionalParselet.prototype={
	parse:function(parser,left,token){
		var thenArm=parser.parseExpression();
		parser.consume(sas.risk.common.widgets.spreadsheet.formula.TokenType.COLON);
		var elseArm=parser.parseExpression(sas.risk.common.widgets.spreadsheet.formula.Precedence.CONDITIONAL-1);
		return sas.risk.common.widgets.spreadsheet.formula.ExpressionUtil.create("CONDITIONAL",left,thenArm,elseArm);
	},
	getPrecedence:function(){
		return sas.risk.common.widgets.spreadsheet.formula.Precedence.CONDITIONAL;
	}
};