jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction");
jQuery.sap.require("sas.hc.m.Button");
jQuery.sap.require("sas.hc.m.SearchField");
jQuery.sap.require("sas.hc.m.Text");
jQuery.sap.require("sas.hc.m.Select");
jQuery.sap.require("sas.hc.ui.core.Item");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.filter.StringFilter");
jQuery.sap.require("sas.risk.common.layout.flexlayout.FlexLayoutRenderer");

sas.hc.m.Button.extend("sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction",{
	metadata:{
		properties:{
			spreadsheet:{type:"any"},
			toolbar1:{type:"any"},
			toolbar2:{type:"any"},
			footer:{type:"any"},
			menu:{type:"any"},
			spreadsheetToolbarType:{type:"string"}
		}
	},
	constructor:function(){
		sas.hc.m.Button.apply(this,arguments);
		this.addStyleClass("riskSpreadsheetButtonAction");
		this.attachPress($.proxy(this.onPress,this));
		this.proxyOnSelectionChange=$.proxy(this.onSelectionChange,this);
	},
	renderer:"sas.hc.m.ButtonRenderer"
});
sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.prototype.setSpreadsheet=function(spreadsheet){
	this.setProperty("spreadsheet",spreadsheet);
	spreadsheet.attachPostMetaChange($.proxy(this.onPostMetaChange,this));
};
sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.prototype.onPostMetaChange=function(){
	var that=this;
	_.each(this.getSpreadsheet().getSheetTables(),function(table){
		table.detachRowSelectionChange(that.proxyOnSelectionChange);
		table.attachRowSelectionChange(that.proxyOnSelectionChange);
	});
};
sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.prototype.onSelectionChange=function(){
//	var table=this.getSpreadsheet().getSelectedSheetTable();
//	var indices=table.getSelectedIndices();
//	var count=indices.length;
};
sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.prototype.onPress=function(){
//	this.getSpreadsheet().fireMashup({});
};
