jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.toolbar.CreateNewButton");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction");

sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.extend("sas.risk.common.widgets.spreadsheet.toolbar.CreateNewButton",{
	constructor:function(){
		sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.apply(this,arguments);
		this.setIcon(sas.icons.HC.NEWSTARBURST);
	},
	renderer:"sas.hc.m.ButtonRenderer"
});
sas.risk.common.widgets.spreadsheet.toolbar.CreateNewButton.prototype.onPress=function(){
	var sheetId=this.getSpreadsheet().getSelectedSheetId();
	this.getSpreadsheet().fireMashup({
		key:"drafts",
		sheet_id:sheetId,
		event_name:"create_new"
	});
};
