jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.toolbar.EditButton");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction");

sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.extend("sas.risk.common.widgets.spreadsheet.toolbar.EditButton",{
	constructor:function(){
		sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.apply(this,arguments);
		this.setEnabled(false);
		this.setIcon(sas.icons.HC.EDIT);
	},
	renderer:"sas.hc.m.ButtonRenderer"
});
sas.risk.common.widgets.spreadsheet.toolbar.EditButton.prototype.onSelectionChange=function(){
	var table=this.getSpreadsheet().getSelectedSheetTable();
	var indices=table.getSelectedIndices();
	var count=indices.length;
	this.setEnabled(count===1);
};
sas.risk.common.widgets.spreadsheet.toolbar.EditButton.prototype.onPress=function(){
	var spreadsheet=this.getSpreadsheet();
	var sheetId=spreadsheet.getSelectedSheetId();
	var dataKey=spreadsheet.getDataKey()[sheetId]||"key";
	var table=spreadsheet.getSelectedSheetTable();
	var index=table.getSelectedIndices()[0];
	var rowData=table.getContextByIndex(index).getObject();
	var key=rowData[dataKey];
	this.getSpreadsheet().fireMashup({
		event_name:"object_selected",
		sheet_id:sheetId,
		key:key
	});
};
