jQuery.sap.declare("sas.risk.common.widgets.spreadsheet.toolbar.UndoButton");
jQuery.sap.require("sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction");

sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.extend("sas.risk.common.widgets.spreadsheet.toolbar.UndoButton",{
	constructor:function(){
		sas.risk.common.widgets.spreadsheet.toolbar.AButtonAction.apply(this,arguments);
		this.setEnabled(true);
		this.setIcon(sas.icons.HC.UNDO);
	},
	renderer:"sas.hc.m.ButtonRenderer"
});
sas.risk.common.widgets.spreadsheet.toolbar.UndoButton.prototype.onPress=function(){
	var spreadsheet=this.getSpreadsheet();
	var sheetId=spreadsheet.getSelectedSheetId();
	var table=spreadsheet.getSelectedSheetTable();
	var model=table.getModel(sheetId);
	model.discardPatch();

	table.setFirstVisibleRow(0);
	table.setBusyIndicatorDelay(0);
	table.setBusy(true);
	spreadsheet.fetchData(sheetId);
};
