jQuery.sap.declare("sas.risk.rgf.components.ComponentFactory");

sas.risk.rgf.components.ComponentFactory = {
	QueryTable:"sas.risk.rgf.components.QueryTableComponent",
	UserChooser:"sas.risk.rgf.components.UserChooserComponent",
	DimensionalLocation:"sas.risk.rgf.components.DimensionalLocationComponent",
	FlowDiagram:"sas.ui.cpb3.components.DiagramComponent",
	PersonalLinksComponent:"sas.risk.rgf.components.PersonalLinksComponent",
	TaskListShortcutComponent:"sas.risk.rgf.components.TaskListShortcutComponent",
	LinkedBusinessObjects:"sas.risk.rgf.components.LinkedBusinessObjectsComponent",
	LinkedBusinessObjectChooser:"sas.risk.rgf.components.LinkedBusinessObjectChooserComponent",
	WorkflowDiagramComponent:"sas.risk.rgf.components.WorkflowDiagramComponent",
	WorkflowUI:"sas.risk.rgf.components.WorkflowUIComponent",
	ColorDropdown:"sas.risk.rgf.components.ColorDropdownComponent",
	TaskListComponent:"sas.risk.rgf.components.TaskListComponent",
	AdvancedTableComponent:"sas.risk.rgf.components.RGFAdvancedTableComponent",
	LinkedObjectRelationshipsComponent:"sas.risk.rgf.components.LinkedObjectRelationshipsComponent",
	DerivedUserTable:"sas.risk.rgf.components.DerivedUserTableComponent",
	Comments:"sas.risk.rgf.components.CommentsComponent",
	ImageComponent:"sas.risk.rgf.components.ImageComponent",
	ImpersonatorComponent:"sas.risk.rgf.components.ImpersonatorComponent",
	CalendarComponent:"sas.risk.rgf.components.CalendarComponent",
	HyperLink:"sas.risk.rgf.components.HyperLinkComponent",
	CustomObjectLinkComponent:"sas.risk.rgf.components.CustomObjectLinkComponent",
	CurrencyInput:"sas.risk.rgf.components.CurrencyInput",
   File:"sas.risk.rgf.components.FileComponent",
   ContentManagement:"sas.risk.rgf.components.ContentManagementComponent",
   Attachments:"sas.risk.rgf.components.AttachmentsComponent",
   IFrameComponent:"sas.risk.rgf.components.IFrameComponent",
   RichText:"sas.risk.rgf.components.RichTextComponent",
   CodeEditor:"sas.risk.rgf.components.CodeEditorComponent",
	FileNameInput:"sas.risk.rgf.components.FileNameInputComponent",
	SampleTestComponent:"sas.risk.rgf.components.SampleTestComponent",
	QuestionComponent:"sas.risk.rgf.components.QuestionComponent",
	UserPositions:"sas.risk.rgf.components.UserPositionsComponent",
	RoleCapabilities:"sas.risk.rgf.components.RoleCapabilitiesComponent",
	SubScreenChooser:"sas.risk.rgf.components.SubScreenChooserComponent",
   ScreenDefinitions:"sas.risk.rgf.components.ScreenDefinitionsComponent",
   DataLoad:"sas.risk.rgf.components.DataLoadComponent",
   DimensionNode:"sas.risk.rgf.components.DimensionNodeComponent",
   DimensionBrowser:"sas.risk.rgf.components.DimensionBrowserComponent",
   EditableMatrix:"sas.risk.rgf.components.EditableMatrix",
   SegmentationSchemeSelector:"sas.risk.rgf.components.SegmentationSchemeSelector",
   DelegatorsComponent:"sas.risk.rgf.components.DelegatorsComponent",
   DelegateesComponent:"sas.risk.rgf.components.DelegateesComponent",
   ReportViewer:"sas.risk.rgf.components.ReportViewerComponent",
   Users:"sas.risk.rgf.components.UsersComponent",
   Roles:"sas.risk.rgf.components.RolesComponent"
};
//ALIASES
sas.risk.rgf.components.ComponentFactory.LabelValueColorDropdown=sas.risk.rgf.components.ComponentFactory.ColorDropdown;
sas.risk.rgf.components.ComponentFactory.CustomFilterUserChooser=sas.risk.rgf.components.ComponentFactory.UserChooser;
