jQuery.sap.declare("sas.risk.rgf.components.ImageComponentRenderer");
jQuery.sap.require("sap.m.ImageRenderer");

sas.risk.rgf.components.ImageComponentRenderer = {
};

sas.risk.rgf.components.ImageComponentRenderer.render = function(rm, oImage){
	// Return immediately if control is invisible
	if (!oImage.getVisible()) {
		return;
	}

	if(!oImage._getDensityAwareSrc()){
		var origWrite=rm.write;
		try{
			rm.write=function(value){
				if(value==="<img"){
					origWrite.call(rm,"<div");
				}
				else if (value===" >"){
					origWrite.apply(rm,arguments);
					origWrite.call(rm,"</div>");
				}
				else{
					origWrite.apply(rm,arguments);
				}
			}
			sap.m.ImageRenderer.render(rm,oImage);
		}finally{
			rm.write=origWrite;
		}
	}else{
		sap.m.ImageRenderer.render(rm,oImage);
	}
};
