jQuery.sap.declare("sas.risk.rgf.nav.RGFActionProcessor");
jQuery.sap.require("sas.ui.mashup.ActionProcessorRegistry");

sas.risk.rgf.nav.RGFActionProcessor={
	processEvent:function(event,action){
		var eventName=event.getParameter("event_name");
		switch(eventName){
			case "create_new":
			case "create_new_from":
				return {event:eventName,route:action.route,pageId:event.getParameter("type"),navstyle:action.navstyle};
			case "close_object":
				return {event:eventName,route:action.route,pageId:event.getParameter("parent"),navstyle:action.navstyle};			
			case "edit_object":
			case "object_selected":
				return {event:eventName,route:action.route,pageId:event.getParameter("type"),navstyle:action.navstyle};
			case "edit_screen":
				return {event:eventName,route:event.getParameter("route"),pageId:"ScreenEditor",navstyle:action.navstyle};
			case "create_new_lbo":
				return {event:eventName,route:action.route,pageId:event.getParameter("type"),navstyle:action.navstyle};
		}
		return action;
	}
};
sas.ui.mashup.ActionProcessorRegistry.register("rgf_actionProcessor",sas.risk.rgf.nav.RGFActionProcessor);