jQuery.sap.declare("sas.risk.rgf.widget.menu.AttachmentsItem");
jQuery.sap.require("sas.risk.common.widgets.MenuItem");

sas.risk.common.widgets.MenuItem.extend("sas.risk.rgf.widget.menu.AttachmentsItem",{});
sas.risk.rgf.widget.menu.AttachmentsItem.prototype.applySettings=function(){
	this.setText(sas.risk.rgf.util.RGFUtil.getBundle().getText("table.toolbar.menu.attachments.txt"));
   this.setPayload("ATTACHMENTS");
   this.setHideOnReadonly(false);
	this.setCallback($.proxy(this.action,this));
	sas.risk.common.widgets.MenuItem.prototype.applySettings.apply(this,arguments);
};
sas.risk.rgf.widget.menu.AttachmentsItem.prototype.action=function(rgfTable){
   var exportURL=rgfTable.getExportURL();
   if(!exportURL) {
      console.error("exportURL is not provided. Can't perform Export Attachments.");
      return; //TODO: display error dialog that exportURL is not provided
   }
   var i = exportURL.indexOf("?");
   exportURL=(i>0)?exportURL+"&":exportURL+"?";
   exportURL=exportURL+"exportAttachments=true" +"&"+rgfTable.query.toString();
   exportURL=sas.risk.rgf.util.URLParser.parseURL(exportURL).removeParam("start");
   exportURL=sas.risk.rgf.util.URLParser.parseURL(exportURL).removeParam("limit");
   var a = document.createElement("a");
   a.href = exportURL;
	document.body.appendChild(a);
	a.click();
};