jQuery.sap.declare("sas.risk.rgf.widget.menu.LBODataloadItem");
jQuery.sap.require("sas.risk.common.widgets.MenuItem");
jQuery.sap.require("sas.risk.rgf.util.DialogManager");

sas.risk.common.widgets.MenuItem.extend("sas.risk.rgf.widget.menu.LBODataloadItem",{});
sas.risk.rgf.widget.menu.LBODataloadItem.prototype.applySettings=function(){
	this.setText(sas.risk.rgf.util.RGFUtil.getBundle().getText("table.toolbar.menu.dataload.txt"));
   this.setPayload("DATALOAD");
   this.setHideOnReadonly(false);
	this.setCallback($.proxy(this.action,this));
	sas.risk.common.widgets.MenuItem.prototype.applySettings.apply(this,arguments);
};
sas.risk.rgf.widget.menu.LBODataloadItem.prototype.action=function(rgfTable){
	var rb = sas.risk.rgf.util.RGFUtil.getBundle();
	var viewData={
		title:rb.getText("table.exportToDataload.title.txt"),
		fromLBO:true
	};
   sas.risk.rgf.util.DialogManager.open("ExportToDataloadDialog",viewData,null,rgfTable);
};