jQuery.sap.declare("sas.risk.slimtable.meta.filter.ObjectLinkFilter");
jQuery.sap.require("sas.risk.slimtable.meta.filter.AFilter");

sas.risk.slimtable.meta.filter.ObjectLinkFilter = function(name, operator, value, nameLabel, valueLabel){
  sas.risk.slimtable.meta.filter.AFilter.apply(this, arguments);
};
sas.risk.slimtable.meta.filter.ObjectLinkFilter.prototype = Object.create(sas.risk.slimtable.meta.filter.AFilter.prototype);

sas.risk.slimtable.meta.filter.ObjectLinkFilter.prototype.getTypeName = function(){
  return "sas.risk.slimtable.meta.filter.ObjectLinkFilter";
};
sas.risk.slimtable.meta.filter.ObjectLinkFilter.prototype.getType=function(){
  return sas.risk.slimtable.meta.filter.ObjectLinkFilter;
};
sas.risk.slimtable.meta.filter.ObjectLinkFilter.hydrate = function(j) {
  return new sas.risk.slimtable.meta.filter.ObjectLinkFilter(j.name,j.operator,j.value);
};

sas.risk.slimtable.meta.filter.ObjectLinkFilter.prototype.toString = function() {
  var parse = this.name.split('.', 2)[1].split('_');
  var rest = parse.slice(1).join('_');
  if(this.operator === 'ne') {
    return "not(hasObjectLinkTo('" + parse[0] + "','" + rest + "'," + this.value + ",0))";
  } else {
    return "hasObjectLinkTo('" + parse[0] + "','" + rest + "'," + this.value + ",0)";
  }
};