jQuery.sap.declare("sas.ui.cpb3.bizcomp.ExternalViewerBizComp");
jQuery.sap.require("sas.ui.mashup.biz.ABizComp");
jQuery.sap.require("sas.risk.common.utils.CompositeUtil");
jQuery.sap.require("sas.risk.rgf.meta.filter.FilterMetaFactory"); 

sas.ui.mashup.biz.ABizComp.extend("sas.ui.cpb3.bizcomp.ExternalViewerBizComp",{
	constructor:function(sId,mSettings,oScope){
		if ( typeof sId !== 'string' && sId !== undefined ) {// shift arguments in case sId was missing, but mSettings was given
			oScope = mSettings,mSettings = sId,sId = mSettings && mSettings.id;
		}
		var that=this;
	   this.control=new sap.ui.core.HTML();
		$.extend(mSettings,{
			eventsPublished:[],
			contextInfo:[],
			control:this.control
		});
		sas.ui.mashup.biz.ABizComp.call(this,sId,mSettings);
	}
});
sas.ui.cpb3.bizcomp.ExternalViewerBizComp.prototype.loadBizCompModel=function(e){
	var url=sas.ui.cpb3.bizcomp.ExternalViewerBizComp.getUrl(this.getName());
   var iframeTag="<iframe style='resize:both;overflow:auto;flex-grow:2;' width='100%' height='100%' src='" + url + "' ></iframe>";
   var contentTag="<div style='display:flex;width:100%;flex-direction:column;flex-grow:2'>";
   contentTag+=iframeTag;
   contentTag+="</div>";
	this.control.setContent(contentTag);
};
sas.ui.cpb3.bizcomp.ExternalViewerBizComp._urls={};
sas.ui.cpb3.bizcomp.ExternalViewerBizComp.registerUrl=function(key,url){
	sas.ui.cpb3.bizcomp.ExternalViewerBizComp._urls[key]=url;
};
sas.ui.cpb3.bizcomp.ExternalViewerBizComp.getUrl=function(key){
	return sas.ui.cpb3.bizcomp.ExternalViewerBizComp._urls[key];
};