@echo off
setlocal
@rem Usage: PrepareSchema -U username [-P password] [-h hostname] <database> <schemaName>
rem  <Copyright></Copyright>

call Parseargs.cmd %*
for /l %%i in (1,1,%ARGCOUNT%) do shift /1
if {%2}=={} (
   @echo.
   @echo "Usage: %0 -U sa-username [-P sa-password] [-h hostname] <database> <schemaName>"
   @echo username is the name of a database user
   @echo password is the password for the database user
   @echo hostname is the hostname for the SQLServer server, default value localhost
   @echo database is the name of the database to associate the new user with
   @echo.
   @echo SQLServer will prompt for the adminstrator's password if it is not provided
   @echo.
   goto :EOF
)
set USERNAME=%USERNAMEOPTION:~3%

@echo Creating schema %2 owned by user %USERNAME%
sqlcmd -e %HOSTNAMEOPTION% %USERNAMEOPTION% %PASSWORDOPTION% -d %1 -i PrepareSchema.sql -o %2.log -v schemaName=%2 rgfdbusername=%USERNAME%
endlocal