

-- This file has any sql that cannot be created implicitly via Monitor-ddl.sql. 




Create unique Index USR_SUR_ND_IX1 on USER_SURVIVOR_NODE(USER_RK,DIM_RELATION_RK,INTERSECTION_TXT,DIMENSION_NM,USER_NODE_RK,INT_NODE_RK,BUSINESS_OBJECT_NM,ACTION_CD) 
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX0 on RELATION_INTERSECTION(MANAGEMENT_ORG_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX1 on RELATION_INTERSECTION(PROCESS_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX2 on RELATION_INTERSECTION(RISK_CAT_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX3 on RELATION_INTERSECTION(BL_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX4 on RELATION_INTERSECTION(GEOGRAPHY_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX5 on RELATION_INTERSECTION(LEGAL_ORG_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX6 on RELATION_INTERSECTION(COST_CENTER_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX7 on RELATION_INTERSECTION(AUX_ORG_DIM_1_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX8 on RELATION_INTERSECTION(PRODUCT_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX9 on RELATION_INTERSECTION(PROJECT_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX10 on RELATION_INTERSECTION(RESOURCE_DIM_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX11 on RELATION_INTERSECTION(OBJECTIVE_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX12 on RELATION_INTERSECTION(AUX_OP_DIM_1_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX13 on RELATION_INTERSECTION(CAUSE_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX14 on RELATION_INTERSECTION(NFI_TYPE_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX15 on RELATION_INTERSECTION(AUX_RISK_DIM_1_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX16 on RELATION_INTERSECTION(CONTROL_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX17 on RELATION_INTERSECTION(AUX_RMG_DIM_1_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX18 on RELATION_INTERSECTION(BASEL_BL_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX19 on RELATION_INTERSECTION(BASEL_RISK_CAT_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX20 on RELATION_INTERSECTION(STD_PROC_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX21 on RELATION_INTERSECTION(FSI_RK)
TABLESPACE &2
;
CREATE  INDEX REL_INTR_IX22 on RELATION_INTERSECTION(AUX_RPT_DIM_1_RK)
TABLESPACE &2
;
create index dim_pt_ix24_l on dim_point_l(dim_point_rk)
TABLESPACE &2
;
create index REL_INTR_IX23 on RELATION_INTERSECTION(INTERSECTION_TXT)
TABLESPACE &2
;
Create unique Index SCR_DEFN_IX1 on SCREEN_DEFINITION_L(SCREEN_DEFINITION_ID,SCREEN_DEFINITION_TYPE_CD)
TABLESPACE &2
;
insert into business_object_type values ('attachment', 'ATTACHMENT')
;
insert into business_object_type values ('auxOpDim1', 'AUX_OP_DIM_1')
;
insert into business_object_type values ('auxOrgDim1', 'AUX_ORG_DIM_1')
;
insert into business_object_type values ('auxRiskDim1', 'AUX_RISK_DIM_1')
;
insert into business_object_type values ('auxRmgDim1', 'AUX_RMG_DIM_1')
;
insert into business_object_type values ('auxRptDim1', 'AUX_RPT_DIM_1')
;
insert into business_object_type values ('baselBusinessLine', 'BASEL_BL')
;
insert into business_object_type values ('baselRiskCategory', 'BASEL_RISK_CAT')
;
insert into business_object_type values ('businessLine', 'BL')
;
insert into business_object_type values ('cause', 'CAUSE')
;
insert into business_object_type values ('changeReason', 'CHANGE_REASON')
;
insert into business_object_type values ('control', 'CONTROL')
;
insert into business_object_type values ('costCenter', 'COST_CENTER')
;
insert into business_object_type values ('dimRelation', 'DIM_RELATION')
;
insert into business_object_type values ('dimRelationElement', 'DIM_RELATION_ELT')
;
insert into business_object_type values ('dimRelationTypeDescriptor', 'DIM_REL_TYPE')
;
insert into business_object_type values ('favoriteArea', 'FAVORITE_AREA')
;
insert into business_object_type values ('financialStatementItem', 'FSI')
;
insert into business_object_type values ('genericComment', 'GENERIC_COMMENT')
;
insert into business_object_type values ('geography', 'GEOGRAPHY')
;
insert into business_object_type values ('legalOrg', 'LEGAL_ORG')
;
insert into business_object_type values ('managementOrg', 'MANAGEMENT_ORG')
;
insert into business_object_type values ('nfiType', 'NFI_TYPE')
;
insert into business_object_type values ('objective', 'OBJECTIVE')
;
insert into business_object_type values ('position', 'ORM_POSITION')
;
insert into business_object_type values ('process', 'PROCESS')
;
insert into business_object_type values ('product', 'PRODUCT')
;
insert into business_object_type values ('project', 'PROJECT')
;
insert into business_object_type values ('resource', 'RESOURCE_DIM')
;
insert into business_object_type values ('riskCategory', 'RISK_CAT')
;
insert into business_object_type values ('role', 'ORM_ROLE')
;
insert into business_object_type values ('standardProcess', 'STD_PROC')
;
insert into business_object_type values ('user', 'ORAUSER')
;
insert into business_object_type VALUES ('assessmentPeriod', 'ASSESSMENT_PERIOD')
;
insert into business_object_type VALUES ('custFieldDefn', 'CUST_FIELD_DEFN')
;
insert into business_object_type VALUES ('custFieldValue', 'CUST_FIELD_VALUE')
;
insert into business_object_type VALUES ('dimensionalPoint', 'DIM_POINT')
;
insert into business_object_type VALUES ('linkInstance', 'LINK_INSTANCE')
;
insert into business_object_type VALUES ('linkType', 'LINK_TYPE')
;
insert into business_object_type VALUES ('namedList', 'NAMED_LIST')
;
insert into business_object_type VALUES ('namedListMapping', 'NAMED_LIST_MAPPING')
;
insert into business_object_type VALUES ('screenDefinition', 'SCREEN_DEFINITION')
;
insert into business_object_type values ('customObject1','CUST_OBJ_1')
;
insert into business_object_type values ('customObject2','CUST_OBJ_2')
;
insert into business_object_type values ('customObject3','CUST_OBJ_3')
;
insert into business_object_type values ('customObject4','CUST_OBJ_4')
;
insert into business_object_type values ('customObject5','CUST_OBJ_5')
;
insert into business_object_type values ('customObject6','CUST_OBJ_6')
;
insert into business_object_type values ('customObject7','CUST_OBJ_7')
;
insert into business_object_type values ('customObject8','CUST_OBJ_8')
;
insert into business_object_type values ('customObject9','CUST_OBJ_9')
;
insert into business_object_type values ('customObject10','CUST_OBJ_10')
;
insert into business_object_type values ('customObject11','CUST_OBJ_11')
;
insert into business_object_type values ('customObject12','CUST_OBJ_12')
;
insert into business_object_type values ('customObject13','CUST_OBJ_13')
;
insert into business_object_type values ('customObject14','CUST_OBJ_14')
;
insert into business_object_type values ('customObject15','CUST_OBJ_15')
;
insert into business_object_type values ('customObject16','CUST_OBJ_16')
;
insert into business_object_type values ('customObject17','CUST_OBJ_17')
;
insert into business_object_type values ('customObject18','CUST_OBJ_18')
;
insert into business_object_type values ('customObject19','CUST_OBJ_19')
;
insert into business_object_type values ('customObject20','CUST_OBJ_20')
;
insert into business_object_type values ('customObject21','CUST_OBJ_21')
;
insert into business_object_type values ('customObject22','CUST_OBJ_22')
;
insert into business_object_type values ('customObject23','CUST_OBJ_23')
;
insert into business_object_type values ('customObject24','CUST_OBJ_24')
;
insert into business_object_type values ('customObject25','CUST_OBJ_25')
;
insert into business_object_type values ('customObject26','CUST_OBJ_26')
;
insert into business_object_type values ('customObject27','CUST_OBJ_27')
;
insert into business_object_type values ('customObject28','CUST_OBJ_28')
;
insert into business_object_type values ('customObject29','CUST_OBJ_29')
;
insert into business_object_type values ('customObject30','CUST_OBJ_30')
;
insert into business_object_type values ('customObject31','CUST_OBJ_31')
;
insert into business_object_type values ('customObject32','CUST_OBJ_32')
;
insert into business_object_type values ('customObject33','CUST_OBJ_33')
;
insert into business_object_type values ('customObject34','CUST_OBJ_34')
;
insert into business_object_type values ('customObject35','CUST_OBJ_35')
;
insert into business_object_type values ('customObject36','CUST_OBJ_36')
;
insert into business_object_type values ('customObject37','CUST_OBJ_37')
;
insert into business_object_type values ('customObject38','CUST_OBJ_38')
;
insert into business_object_type values ('customObject39','CUST_OBJ_39')
;
insert into business_object_type values ('customObject40','CUST_OBJ_40')
;
insert into business_object_type values ('customObject41','CUST_OBJ_41')
;
insert into business_object_type values ('customObject42','CUST_OBJ_42')
;
insert into business_object_type values ('customObject43','CUST_OBJ_43')
;
insert into business_object_type values ('customObject44','CUST_OBJ_44')
;
insert into business_object_type values ('customObject45','CUST_OBJ_45')
;
insert into business_object_type values ('customObject46','CUST_OBJ_46')
;
insert into business_object_type values ('customObject47','CUST_OBJ_47')
;
insert into business_object_type values ('customObject48','CUST_OBJ_48')
;
insert into business_object_type values ('customObject49','CUST_OBJ_49')
;
insert into business_object_type values ('customObject50','CUST_OBJ_50')
;
insert into business_object_type values ('customObject51','CUST_OBJ_51')
;
insert into business_object_type values ('customObject52','CUST_OBJ_52')
;
insert into business_object_type values ('customObject53','CUST_OBJ_53')
;
insert into business_object_type values ('customObject54','CUST_OBJ_54')
;
insert into business_object_type values ('customObject55','CUST_OBJ_55')
;
insert into business_object_type values ('customObject56','CUST_OBJ_56')
;
insert into business_object_type values ('customObject57','CUST_OBJ_57')
;
insert into business_object_type values ('customObject58','CUST_OBJ_58')
;
insert into business_object_type values ('customObject59','CUST_OBJ_59')
;
insert into business_object_type values ('customObject60','CUST_OBJ_60')
;
insert into business_object_type values ('customObject61','CUST_OBJ_61')
;
insert into business_object_type values ('customObject62','CUST_OBJ_62')
;
insert into business_object_type values ('customObject63','CUST_OBJ_63')
;
insert into business_object_type values ('customObject64','CUST_OBJ_64')
;
insert into business_object_type values ('customObject65','CUST_OBJ_65')
;
insert into business_object_type values ('customObject66','CUST_OBJ_66')
;
insert into business_object_type values ('customObject67','CUST_OBJ_67')
;
insert into business_object_type values ('customObject68','CUST_OBJ_68')
;
insert into business_object_type values ('customObject69','CUST_OBJ_69')
;
insert into business_object_type values ('customObject70','CUST_OBJ_70')
;
insert into business_object_type values ('customObject71','CUST_OBJ_71')
;
insert into business_object_type values ('customObject72','CUST_OBJ_72')
;
insert into business_object_type values ('customObject73','CUST_OBJ_73')
;
insert into business_object_type values ('customObject74','CUST_OBJ_74')
;
insert into business_object_type values ('customObject75','CUST_OBJ_75')
;
insert into business_object_type values ('customObject76','CUST_OBJ_76')
;
insert into business_object_type values ('customObject77','CUST_OBJ_77')
;
insert into business_object_type values ('customObject78','CUST_OBJ_78')
;
insert into business_object_type values ('customObject79','CUST_OBJ_79')
;
insert into business_object_type values ('customObject80','CUST_OBJ_80')
;
insert into business_object_type values ('customObject81','CUST_OBJ_81')
;
insert into business_object_type values ('customObject82','CUST_OBJ_82')
;
insert into business_object_type values ('customObject83','CUST_OBJ_83')
;
insert into business_object_type values ('customObject84','CUST_OBJ_84')
;
insert into business_object_type values ('customObject85','CUST_OBJ_85')
;
insert into business_object_type values ('customObject86','CUST_OBJ_86')
;
insert into business_object_type values ('customObject87','CUST_OBJ_87')
;
insert into business_object_type values ('customObject88','CUST_OBJ_88')
;
insert into business_object_type values ('customObject89','CUST_OBJ_89')
;
insert into business_object_type values ('customObject90','CUST_OBJ_90')
;
insert into business_object_type values ('customObject91','CUST_OBJ_91')
;
insert into business_object_type values ('customObject92','CUST_OBJ_92')
;
insert into business_object_type values ('customObject93','CUST_OBJ_93')
;
insert into business_object_type values ('customObject94','CUST_OBJ_94')
;
insert into business_object_type values ('customObject95','CUST_OBJ_95')
;
insert into business_object_type values ('customObject96','CUST_OBJ_96')
;
insert into business_object_type values ('customObject97','CUST_OBJ_97')
;
insert into business_object_type values ('customObject98','CUST_OBJ_98')
;
insert into business_object_type values ('customObject99','CUST_OBJ_99')
;
insert into business_object_type values ('customObject100','CUST_OBJ_100')
;
insert into business_object_type values ('customObject101','CUST_OBJ_101')
;
insert into business_object_type values ('customObject102','CUST_OBJ_102')
;
insert into business_object_type values ('customObject103','CUST_OBJ_103')
;
insert into business_object_type values ('customObject104','CUST_OBJ_104')
;
insert into business_object_type values ('customObject105','CUST_OBJ_105')
;
insert into business_object_type values ('customObject106','CUST_OBJ_106')
;
insert into business_object_type values ('customObject107','CUST_OBJ_107')
;
insert into business_object_type values ('customObject108','CUST_OBJ_108')
;
insert into business_object_type values ('customObject109','CUST_OBJ_109')
;
insert into business_object_type values ('customObject110','CUST_OBJ_110')
;
insert into business_object_type values ('customObject111','CUST_OBJ_111')
;
insert into business_object_type values ('customObject112','CUST_OBJ_112')
;
insert into business_object_type values ('customObject113','CUST_OBJ_113')
;
insert into business_object_type values ('customObject114','CUST_OBJ_114')
;
insert into business_object_type values ('customObject115','CUST_OBJ_115')
;
insert into business_object_type values ('customObject116','CUST_OBJ_116')
;
insert into business_object_type values ('customObject117','CUST_OBJ_117')
;
insert into business_object_type values ('customObject118','CUST_OBJ_118')
;
insert into business_object_type values ('customObject119','CUST_OBJ_119')
;
insert into business_object_type values ('customObject120','CUST_OBJ_120')
;
insert into business_object_type values ('customObject121','CUST_OBJ_121')
;
insert into business_object_type values ('customObject122','CUST_OBJ_122')
;
insert into business_object_type values ('customObject123','CUST_OBJ_123')
;
insert into business_object_type values ('customObject124','CUST_OBJ_124')
;
insert into business_object_type values ('customObject125','CUST_OBJ_125')
;
insert into business_object_type values ('customObject126','CUST_OBJ_126')
;
insert into business_object_type values ('customObject127','CUST_OBJ_127')
;
insert into business_object_type values ('customObject128','CUST_OBJ_128')
;
insert into business_object_type values ('customObject129','CUST_OBJ_129')
;
insert into business_object_type values ('customObject130','CUST_OBJ_130')
;
insert into business_object_type values ('customObject131','CUST_OBJ_131')
;
insert into business_object_type values ('customObject132','CUST_OBJ_132')
;
insert into business_object_type values ('customObject133','CUST_OBJ_133')
;
insert into business_object_type values ('customObject134','CUST_OBJ_134')
;
insert into business_object_type values ('customObject135','CUST_OBJ_135')
;
insert into business_object_type values ('customObject136','CUST_OBJ_136')
;
insert into business_object_type values ('customObject137','CUST_OBJ_137')
;
insert into business_object_type values ('customObject138','CUST_OBJ_138')
;
insert into business_object_type values ('customObject139','CUST_OBJ_139')
;
insert into business_object_type values ('customObject140','CUST_OBJ_140')
;
insert into business_object_type values ('customObject141','CUST_OBJ_141')
;
insert into business_object_type values ('customObject142','CUST_OBJ_142')
;
insert into business_object_type values ('customObject143','CUST_OBJ_143')
;
insert into business_object_type values ('customObject144','CUST_OBJ_144')
;
insert into business_object_type values ('customObject145','CUST_OBJ_145')
;
insert into business_object_type values ('customObject146','CUST_OBJ_146')
;
insert into business_object_type values ('customObject147','CUST_OBJ_147')
;
insert into business_object_type values ('customObject148','CUST_OBJ_148')
;
insert into business_object_type values ('customObject149','CUST_OBJ_149')
;
insert into business_object_type values ('customObject150','CUST_OBJ_150')
;
insert into business_object_type values ('customObject151','CUST_OBJ_151')
;
insert into business_object_type values ('customObject152','CUST_OBJ_152')
;
insert into business_object_type values ('customObject153','CUST_OBJ_153')
;
insert into business_object_type values ('customObject154','CUST_OBJ_154')
;
insert into business_object_type values ('customObject155','CUST_OBJ_155')
;
insert into business_object_type values ('customObject156','CUST_OBJ_156')
;
insert into business_object_type values ('customObject157','CUST_OBJ_157')
;
insert into business_object_type values ('customObject158','CUST_OBJ_158')
;
insert into business_object_type values ('customObject159','CUST_OBJ_159')
;
insert into business_object_type values ('customObject160','CUST_OBJ_160')
;
insert into business_object_type values ('customObject161','CUST_OBJ_161')
;
insert into business_object_type values ('customObject162','CUST_OBJ_162')
;
insert into business_object_type values ('customObject163','CUST_OBJ_163')
;
insert into business_object_type values ('customObject164','CUST_OBJ_164')
;
insert into business_object_type values ('customObject165','CUST_OBJ_165')
;
insert into business_object_type values ('customObject166','CUST_OBJ_166')
;
insert into business_object_type values ('customObject167','CUST_OBJ_167')
;
insert into business_object_type values ('customObject168','CUST_OBJ_168')
;
insert into business_object_type values ('customObject169','CUST_OBJ_169')
;
insert into business_object_type values ('customObject170','CUST_OBJ_170')
;
insert into business_object_type values ('customObject171','CUST_OBJ_171')
;
insert into business_object_type values ('customObject172','CUST_OBJ_172')
;
insert into business_object_type values ('customObject173','CUST_OBJ_173')
;
insert into business_object_type values ('customObject174','CUST_OBJ_174')
;
insert into business_object_type values ('customObject175','CUST_OBJ_175')
;
insert into business_object_type values ('customObject176','CUST_OBJ_176')
;
insert into business_object_type values ('customObject177','CUST_OBJ_177')
;
insert into business_object_type values ('customObject178','CUST_OBJ_178')
;
insert into business_object_type values ('customObject179','CUST_OBJ_179')
;
insert into business_object_type values ('customObject180','CUST_OBJ_180')
;
insert into business_object_type values ('customObject181','CUST_OBJ_181')
;
insert into business_object_type values ('customObject182','CUST_OBJ_182')
;
insert into business_object_type values ('customObject183','CUST_OBJ_183')
;
insert into business_object_type values ('customObject184','CUST_OBJ_184')
;
insert into business_object_type values ('customObject185','CUST_OBJ_185')
;
insert into business_object_type values ('customObject186','CUST_OBJ_186')
;
insert into business_object_type values ('customObject187','CUST_OBJ_187')
;
insert into business_object_type values ('customObject188','CUST_OBJ_188')
;
insert into business_object_type values ('customObject189','CUST_OBJ_189')
;
insert into business_object_type values ('customObject190','CUST_OBJ_190')
;
insert into business_object_type values ('customObject191','CUST_OBJ_191')
;
insert into business_object_type values ('customObject192','CUST_OBJ_192')
;
insert into business_object_type values ('customObject193','CUST_OBJ_193')
;
insert into business_object_type values ('customObject194','CUST_OBJ_194')
;
insert into business_object_type values ('customObject195','CUST_OBJ_195')
;
insert into business_object_type values ('customObject196','CUST_OBJ_196')
;
insert into business_object_type values ('customObject197','CUST_OBJ_197')
;
insert into business_object_type values ('customObject198','CUST_OBJ_198')
;
insert into business_object_type values ('customObject199','CUST_OBJ_199')
;
insert into business_object_type values ('customObject200','CUST_OBJ_200')
;
insert into business_object_type values ('customObject201','CUST_OBJ_201')
;
insert into business_object_type values ('customObject202','CUST_OBJ_202')
;
insert into business_object_type values ('customObject203','CUST_OBJ_203')
;
insert into business_object_type values ('customObject204','CUST_OBJ_204')
;
insert into business_object_type values ('customObject205','CUST_OBJ_205')
;
insert into business_object_type values ('customObject206','CUST_OBJ_206')
;
insert into business_object_type values ('customObject207','CUST_OBJ_207')
;
insert into business_object_type values ('customObject208','CUST_OBJ_208')
;
insert into business_object_type values ('customObject209','CUST_OBJ_209')
;
insert into business_object_type values ('customObject210','CUST_OBJ_210')
;
insert into business_object_type values ('customObject211','CUST_OBJ_211')
;
insert into business_object_type values ('customObject212','CUST_OBJ_212')
;
insert into business_object_type values ('customObject213','CUST_OBJ_213')
;
insert into business_object_type values ('customObject214','CUST_OBJ_214')
;
insert into business_object_type values ('customObject215','CUST_OBJ_215')
;
insert into business_object_type values ('customObject216','CUST_OBJ_216')
;
insert into business_object_type values ('customObject217','CUST_OBJ_217')
;
insert into business_object_type values ('customObject218','CUST_OBJ_218')
;
insert into business_object_type values ('customObject219','CUST_OBJ_219')
;
insert into business_object_type values ('customObject220','CUST_OBJ_220')
;
insert into business_object_type values ('customObject221','CUST_OBJ_221')
;
insert into business_object_type values ('customObject222','CUST_OBJ_222')
;
insert into business_object_type values ('customObject223','CUST_OBJ_223')
;
insert into business_object_type values ('customObject224','CUST_OBJ_224')
;
insert into business_object_type values ('customObject225','CUST_OBJ_225')
;
insert into business_object_type values ('customObject226','CUST_OBJ_226')
;
insert into business_object_type values ('customObject227','CUST_OBJ_227')
;
insert into business_object_type values ('customObject228','CUST_OBJ_228')
;
insert into business_object_type values ('customObject229','CUST_OBJ_229')
;
insert into business_object_type values ('customObject230','CUST_OBJ_230')
;
insert into business_object_type values ('customObject231','CUST_OBJ_231')
;
insert into business_object_type values ('customObject232','CUST_OBJ_232')
;
insert into business_object_type values ('customObject233','CUST_OBJ_233')
;
insert into business_object_type values ('customObject234','CUST_OBJ_234')
;
insert into business_object_type values ('customObject235','CUST_OBJ_235')
;
insert into business_object_type values ('customObject236','CUST_OBJ_236')
;
insert into business_object_type values ('customObject237','CUST_OBJ_237')
;
insert into business_object_type values ('customObject238','CUST_OBJ_238')
;
insert into business_object_type values ('customObject239','CUST_OBJ_239')
;
insert into business_object_type values ('customObject240','CUST_OBJ_240')
;
insert into business_object_type values ('customObject241','CUST_OBJ_241')
;
insert into business_object_type values ('customObject242','CUST_OBJ_242')
;
insert into business_object_type values ('customObject243','CUST_OBJ_243')
;
insert into business_object_type values ('customObject244','CUST_OBJ_244')
;
insert into business_object_type values ('customObject245','CUST_OBJ_245')
;
insert into business_object_type values ('customObject246','CUST_OBJ_246')
;
insert into business_object_type values ('customObject247','CUST_OBJ_247')
;
insert into business_object_type values ('customObject248','CUST_OBJ_248')
;
insert into business_object_type values ('customObject249','CUST_OBJ_249')
;
insert into business_object_type values ('customObject250','CUST_OBJ_250')
;
CREATE  INDEX WKF_REGISTRY_IX0 ON WORKFLOW_REGISTRY (WORKFLOW_ID) 
TABLESPACE &2
;
